# -*- coding: utf-8 -*-

import admin_tools
from admin_tools.dashboard import modules, AppIndexDashboard

from django.conf import settings
from django.utils.translation import ugettext_lazy as _

from jmb.core.admin import dashboard as jmb_dashboard


class EventDashboard(modules.Group):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("Event"),
            'display': "tabs",
            'children': [
                Models(),
            ]
        })
        super(EventDashboard, self).__init__(**kwargs)


class DefaultDashboard(modules.Group):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("Event"),
            'display': "tabs",
            'children': [
                Models(),
            ]
        })
        super(DefaultDashboard, self).__init__(**kwargs)


class TravelAgencyDefaultDashboard(modules.Group):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("Event"),
            'display': "tabs",
            'children': [TravelAgencyModels()]
        })
        super(TravelAgencyDefaultDashboard, self).__init__(**kwargs)


class LogisticAgencyDefaultDashboard(modules.Group):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("Event"),
            'display': "tabs",
            'children': [LogisticAgencyModels()]
        })
        super(LogisticAgencyDefaultDashboard, self).__init__(**kwargs)


class HostessDefaultDashboard(modules.Group):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("Event"),
            'display': "tabs",
            'children': [HostessModels()]
        })
        super(HostessDefaultDashboard, self).__init__(**kwargs)


class TransportDashboard(modules.Group):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("Transports"),
            'display': "tabs",
            'children': [
                TransportModels(),
            ]
        })
        super(TransportDashboard, self).__init__(**kwargs)


class MailerDashboard(modules.Group):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("Mailer"),
            'display': "tabs",
            'children': [
                MailerModels(),
            ]
        })
        super(MailerDashboard, self).__init__(**kwargs)


class UserDashboard(modules.Group):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("Privacy"),
            'display': "tabs",
            'children': [
                UserModels(),
            ]
        })
        super(UserDashboard, self).__init__(**kwargs)


class AuthDashboard(modules.Group):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("Administration"),
            'display': "tabs",
            'children': [
                AuthModels(),
            ]
        })
        super(AuthDashboard, self).__init__(**kwargs)


class QuestionDashboard(modules.Group):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("Questions and Answers"),
            'display': "tabs",
            'children': [
                ActivityEQModels(), PollEQModels(), DeclineEQModels(), RegisterEQModels(), ConfigurationEQModels()
            ]
        })
        super(QuestionDashboard, self).__init__(**kwargs)


class ConfigurationDashboard(modules.Group):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("Configuration"),
            'display': "tabs",
            'children': [
                EventConfigurationModels()
            ]
        })
        super(ConfigurationDashboard, self).__init__(**kwargs)


class VehicleDashboard(modules.Group):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("Vehicles"),
            'display': "tabs",
            'children': [
                VehicleModels(),
            ]
        })
        super(VehicleDashboard, self).__init__(**kwargs)


class Models(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("Main Models"),
            'models': (
                'publieditor.event.models.Event',
                'publieditor.event.models.Contact',
                'publieditor.event.models.DelegatedContact',
                'publieditor.event.models.Newspaper',
                'publieditor.event.models.PollAnswer',
            ),
        })
        super(Models, self).__init__(**kwargs)


class TransportModels(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("Main Models"),
            'models': (
                'publieditor.event.models.Airport',
                'publieditor.event.models.Flight',
                'publieditor.event.models.Station',
                'publieditor.event.models.Train',
            ),
        })
        super(TransportModels, self).__init__(**kwargs)


class MailerModels(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("Main Models"),
            'models': (
                'publieditor.event.models.InviteEmailObject',
            ),
        })
        super(MailerModels, self).__init__(**kwargs)


class UserModels(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("Main Models"),
            'models': (
                'publieditor.event.models.PasswordRecoverySettings',
                'publieditor.event.models.ProfileDoneEmailSettings',
            ),
        })
        super(UserModels, self).__init__(**kwargs)


class AuthModels(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("Administration"),
            'models': (
                'django.contrib.auth.models.User',
                'django.contrib.auth.models.Group',
            ),
        })
        super(AuthModels, self).__init__(**kwargs)


class EventConfigurationModels(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("Event Configuration"),
            'models': (
                'publieditor.event.models.Signature',
                'publieditor.event.models.TransportAnswer',
                'publieditor.event.models.Invite',
                'publieditor.event.models.TravelAgencyInvite',
                'publieditor.event.models.LogisticAgencyInvite',
                'publieditor.event.models.HostessInvite',
                'publieditor.event.models.EventTurnProxy',
                'publieditor.event.models.EventStartPlace',
                'publieditor.event.models.EventTravelOption',
                'publieditor.event.models.Stage',
                'publieditor.event.models.License',
                'publieditor.event.models.Transport',
                'publieditor.event.models.FlightDetail',
                'publieditor.event.models.Airline',
                'publieditor.event.models.TrainDetail',
                'publieditor.event.models.TrainType',
                'publieditor.event.models.EventQuestion',
                'publieditor.event.models.RegisterEventQuestionProxy',
                'publieditor.event.models.ActivityEventQuestionProxy',
                'publieditor.event.models.DeclineEventQuestionProxy',
                'publieditor.event.models.PollEventQuestionProxy',
                'publieditor.event.models.EventDocument',
                'publieditor.event.models.NewsletterDocument',
                'publieditor.event.models.InviteDocument',
                'publieditor.event.models.InviteDocumentLogisticAgencyProxy',
                'publieditor.event.models.GreetingsTranslation',
                'publieditor.event.models.Document',
                'publieditor.event.models.FreeAnswer',
                'publieditor.event.models.OwnAnswer',
                'publieditor.event.models.ActivityAnswer',
                'publieditor.event.models.RegisterAnswer',
                'publieditor.event.models.EventTemplate',
                'publieditor.event.models.DeclineAnswer',
                'publieditor.event.models.DocumentCategory',
                'publieditor.event.models.EventSummaryDocumentTemplate',
                'publieditor.event.models.AreaCode',
                'publieditor.event.models.EventImage',
                'publieditor.event.models.DocumentsEmailObject',
                'publieditor.event.models.MailingStatusProxy',
                'publieditor.event.models.EventPlace',
                'publieditor.event.models.NoteFromPhoneContact',
            ),
        })
        super(EventConfigurationModels, self).__init__(**kwargs)


class ActivityEQModels(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("activity").title(),
            'models': (
                'publieditor.survey.models.ActivityQuestionProxy',
                'publieditor.event.models.ActivityEventQuestionProxy',
                'publieditor.event.models.ActivityAnswer',
            ),
        })
        super(ActivityEQModels, self).__init__(**kwargs)


class PollEQModels(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("poll").title(),
            'models': (
                'publieditor.survey.models.PollQuestionProxy',
                'publieditor.event.models.PollEventQuestionProxy',
                'publieditor.event.models.PollAnswer',
            ),
        })
        super(PollEQModels, self).__init__(**kwargs)


class DeclineEQModels(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("decline").title(),
            'models': (
                'publieditor.survey.models.DeclineQuestionProxy',
                'publieditor.event.models.DeclineEventQuestionProxy',
                'publieditor.event.models.DeclineAnswer',
            ),
        })
        super(DeclineEQModels, self).__init__(**kwargs)


class RegisterEQModels(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("register").title(),
            'models': (
                'publieditor.survey.models.RegisterQuestionProxy',
                'publieditor.event.models.RegisterEventQuestionProxy',
                'publieditor.event.models.RegisterAnswer',
            ),
        })
        super(RegisterEQModels, self).__init__(**kwargs)


class ConfigurationEQModels(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("Configuration"),
            'models': (
                # 'publieditor.survey.models.Question',
                'publieditor.survey.models.Choice',
                'publieditor.survey.models.Category',
            ),
        })
        super(ConfigurationEQModels, self).__init__(**kwargs)


class TravelAgencyModels(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("Models"),
            'models': (
                'publieditor.event.models.EventTravelAgencyProxy',
                'publieditor.event.models.InviteDocumentTravelAgencyProxy',
            ),
        })
        super(TravelAgencyModels, self).__init__(**kwargs)


class LogisticAgencyModels(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("Models"),
            'models': (
                'publieditor.event.models.EventLogisticAgencyProxy',
            ),
        })
        super(LogisticAgencyModels, self).__init__(**kwargs)


class HostessModels(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("Models"),
            'models': (
                'publieditor.event.models.EventHostessProxy',
            ),
        })
        super(HostessModels, self).__init__(**kwargs)


class TrainModels(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("Train Models"),
            'models': (
                'publieditor.event.models.Station',
                'publieditor.event.models.Train',
                'publieditor.event.models.TrainDetail',
                'publieditor.event.models.TrainType',
            ),
        })
        super(TrainModels, self).__init__(**kwargs)


class VehicleModels(modules.ModelList):
    def __init__(self, **kwargs):
        kwargs.update({
            'title': _("Vehicle Models"),
            'models': (
                'publieditor.event.models.Brand',
                'publieditor.event.models.VehicleModel',
                'publieditor.event.models.Vehicle',
                'publieditor.event.models.CDU',
            ),
        })
        super(VehicleModels, self).__init__(**kwargs)


# class MailerstatDashboard(modules.Group):
#     columns = 3
#     def __init__(self, **kwargs):
#         kwargs.update({
#             'title': _("Statistics"),
#             'display': "tabs",
#             'children': [ GraphLink(),]
#         })
#         super(MailerstatDashboard, self).__init__(**kwargs)
#
#
# class GraphLink(modules.LinkList):
#     def __init__(self, **kwargs):
#         kwargs.update({
#             'title': _("Graphs"),
#             'children': (
#                         [_('Statistics by day'), '../mailerstat/snedstatistic/graphs/graph_parameter/day/'],
#                     )
#         })
#         super(GraphLink, self).__init__(**kwargs)


class DefaultAppDashboard(AppIndexDashboard):
    travel_agency_group = "Agenzia Viaggi"
    logistic_agency_group = "Agenzia Logistica"
    hostess_group = "Hostess"

    def __init__(self, app_title, models, **kwargs):
        AppIndexDashboard.__init__(self, app_title, models, **kwargs)
        self.columns = 2

    def init_with_context(self, context):
        request = context['request']
        user = request.user
        if user.groups.filter(name__iexact=self.travel_agency_group).exists():
            self.children.append(TravelAgencyDefaultDashboard())
        elif user.groups.filter(name__iexact=self.logistic_agency_group).exists():
            self.children.append(LogisticAgencyDefaultDashboard())
        elif user.groups.filter(name__iexact=self.hostess_group).exists():
            self.children.append(HostessDefaultDashboard())
        else:
            if settings.PROJECT_ID == 1:
                # NON VISIBILE A FCA
                self.children.append(AuthDashboard())

            self.children.append(DefaultDashboard())
            self.children.append(TransportDashboard())
            self.children.append(MailerDashboard())
            self.children.append(UserDashboard())
            self.children.append(ConfigurationDashboard())
            self.children.append(QuestionDashboard())
            self.children.append(VehicleDashboard())
            # self.children.append(MailerstatDashboard())


jmb_dashboard.register_group(EventDashboard, 'publieditor.event')
admin_tools.dashboard.register(DefaultAppDashboard, 'publieditor.event')
