# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from crispy_forms.helper import FormHelper
from crispy_forms.layout import Layout, Div, Field, HTML


class FormsetContactAddressFormHelper(FormHelper):
    def __init__(self, *args, **kwargs):
        super(FormsetContactAddressFormHelper, self).__init__(*args, **kwargs)
        self.form_method = 'post'
        self.form_tag = False
        self.layout = Layout(
            Div(
                Div(
                    Field('address_scopes', css_class="select2", template="bootstrap3/unrequired_field.html"),
                    css_class='col-lg-12 col-md-12',
                ),
                css_class='row',
            ),
            Div(
                Div(
                    Field('address_type', css_class="select2", template="bootstrap3/unrequired_field.html"),
                    css_class='col-lg-2 col-md-2',),
                Div(
                    Field('name', template="bootstrap3/unrequired_field.html"),
                    css_class='col-lg-6 col-md-6'
                ),
                Div(
                    Field('number', template="bootstrap3/unrequired_field.html"),
                    css_class='col-lg-2 col-md-2',
                ),
                Div(
                    Field('zip_code', template="bootstrap3/unrequired_field.html"),
                    css_class='col-lg-2 col-md-2',
                ),
                css_class='row',
            ),
            Div(
                Div(
                    Field('province', template="bootstrap3/unrequired_field.html"),
                    css_class='col-lg-2 col-md-2',
                ),
                Div(
                    Field('locality', template="bootstrap3/unrequired_field.html"),
                    css_class='col-lg-8 col-md-8',
                ),
                Div(
                    Field('country', css_class="select2", template="bootstrap3/unrequired_field.html"),
                    css_class='col-lg-2 col-md-2'
                ),
                css_class='row',
            ),
            Div(
                Div(Field('DELETE', css_class='input-small delete-input'), css_class='pull-right margin-15'),
                css_class='row',
            ),
        )


class FormsetPhoneFormHelper(FormHelper):
    def __init__(self, *args, **kwargs):
        super(FormsetPhoneFormHelper, self).__init__(*args, **kwargs)
        self.form_method = 'post'
        self.form_tag = False
        self.layout = Layout(
            Div(
                Div(
                    Field('phone_type', template="bootstrap3/unrequired_field.html"),
                    css_class='col-lg-2 col-md-2'
                ),
                Div(
                    Field('area_code', css_class="select2", template="bootstrap3/unrequired_field.html"),
                    css_class='col-lg-4 col-md-4'
                ),
                Div(
                    Field('number', template="bootstrap3/unrequired_field.html"),
                    css_class='col-lg-6 col-md-6'
                ),
                css_class='row',
            ),
            Div(
                Div(Field('DELETE', css_class='input-small delete-input'), css_class='pull-right margin-15'),
                css_class='row',
            ),
        )


class FormsetEmailCcFormHelper(FormHelper):
    def __init__(self, *args, **kwargs):
        super(FormsetEmailCcFormHelper, self).__init__(*args, **kwargs)
        self.form_method = 'post'
        self.form_tag = False
        self.layout = Layout(
            Div(
                Div(
                    Field('email', template="bootstrap3/unrequired_field.html"),
                    css_class='col-lg-12 col-md-12'
                ),
                css_class='row',
            ),
            Div(
                Div(Field('DELETE', css_class='input-small delete-input'), css_class='pull-right margin-15'),
                css_class='row',
            ),
        )


class MembershipFormHelper(FormHelper):
    def __init__(self, *args, **kwargs):
        super(MembershipFormHelper, self).__init__(*args, **kwargs)
        self.form_method = 'post'
        self.form_tag = False
        self.layout = Layout(
            Div(
                Div(
                    Field('newspaper', css_class="select2", template="bootstrap3/unrequired_field.html"),
                    css_class='col-lg-6 col-md-6',
                ),
                Div(
                    Field('role', css_class="select2", template="bootstrap3/unrequired_field.html"),
                    css_class='col-lg-6 col-md-6',
                    ),
                css_class='row',
            ),
            Div(
                Div(Field('DELETE', css_class='input-small delete-input'), css_class='pull-right margin-15'),
                css_class='row',
            ),
        )


class CardFormHelper(FormHelper):
    def __init__(self, *args, **kwargs):
        super(CardFormHelper, self).__init__(*args, **kwargs)
        self.form_method = 'post'
        self.form_tag = False
        self.layout = Layout(
            Div(
                Div(Field('airline', css_class="select2"), css_class='col-lg-4 col-md-4',),
                Div(
                    Field('number', template="bootstrap3/unrequired_field.html"),
                    css_class='col-lg-4 col-md-4'
                ),
                Div(Field('expiration_date', css_class="datepicker"), css_class='col-lg-4 col-md-4',),
                css_class='row',
            ),
            Div(
                Div(Field('DELETE', css_class='input-small delete-input'), css_class='pull-right margin-15'),
                css_class='row',
            ),
        )
