# -*- coding: utf-8 -*-

from django.forms.models import BaseInlineFormSet
from django.utils.translation import ugettext_lazy as _


class RequiredFormSet(BaseInlineFormSet):

    def __init__(self, *args, **kwargs):
        super(RequiredFormSet, self).__init__(*args, **kwargs)
        if len(self.forms):
            self.forms[0].empty_permitted = False

    def clean(self):
        if any(self.errors):
            # Don't bother validating the formset unless each form is valid on its own
            return
        elif len(self.forms) == 0:
            raise forms.ValidationError(_("Enter at least 1 element"))
