# -*- coding: utf-8 -*-

from admin_tools.menu import items

from django.utils.translation import ugettext_lazy as _
from django.core.urlresolvers import reverse

from jmb.core.admin.menu import register_menu

event_menu_item = items.MenuItem(
    # GENERAL
    _('Event'), 
    reverse('admin:app_list', kwargs={'app_label': 'event'}),
    children=[
        items.MenuItem(
            _('Contacts'), reverse('admin:event_contact_changelist',),
        ),
        items.MenuItem(
            _('Events'), reverse('admin:event_event_changelist',),
        ),
        items.MenuItem(
            _('Email'), reverse('admin:event_inviteemailobject_changelist',),
        ),
        items.MenuItem(
            _('External views'), '',
            children=[
                items.MenuItem(_('Travel agency view'), reverse('admin:event_travelagencyinvite_changelist',)),
                items.MenuItem(_('Logistic agency view'), reverse('admin:event_logisticagencyinvite_changelist',)),
            ]
        ),
        items.MenuItem(
            _('Signatures'), reverse('admin:event_signature_changelist',),
        ),
    ]
)
register_menu(event_menu_item, 'publieditor.event')