# coding: utf-8

from django.core.management.base import BaseCommand
from publieditor.event.models import ContactEmailCc, Card, Airline, ContactGroup, Newspaper


class Command(BaseCommand):
    """
    Get all messages from configured Host
    """
    help = "Bonifica contatti rsvp publieditor"
    option_list = BaseCommand.option_list
    output_transaction = True

    def handle(self, *args, **opts):
        (ContactEmailCc.objects.filter(email='') or ContactEmailCc.objects.filter(email__isnull=True)).delete()
        (Card.objects.filter(number='') or Card.objects.filter(number__isnull=True)).delete()
        (ContactGroup.objects.filter(name='') or ContactGroup.objects.filter(name__isnull=True)).delete()
        (Newspaper.objects.filter(name='') or Newspaper.objects.filter(name__isnull=True)).delete()
        for card in Card.objects.all():
            airline_code = card.number[:2]
            airlines = Airline.objects.filter(iata_code__iexact=airline_code)
            if airlines:
                airline = airlines[0]
                card.airline = airline
                card.number = card.number[2:]
                card.save()