# coding: utf-8
"""
Example usage
dj import_airlines -f .src/publieditor.event/publieditor/event/static/event/import/airlines.dat
"""

import csv
import sys
from optparse import make_option
from django.core.management.base import BaseCommand


class Command(BaseCommand):
    help = "Importo la lista delle compagnie aeree"
    option_list = BaseCommand.option_list + (
        make_option('-f', '--file', dest='filename', help='Read file in argument', default=None),
    )
    output_transaction = True

    def handle(self, *args, **opts):
        from publieditor.event.models import Airline

        if not opts.get('filename'):
            print "Manca il nome del file da importare (opt -f)"
            sys.exit(1)

        reader = csv.reader(open(opts.get('filename'), 'rb'), delimiter=',')
        for row in reader:
            name = "%s" % row[1]
            iata_code = "%s" % row[3]
            if name and iata_code:
                try:
                    app = Airline(name=name, iata_code=iata_code)
                    app.save()
                except Exception, e:
                    print e
