# coding: utf-8
"""
Example usage
dj import_airports -f .src/publieditor.event/publieditor/event/static/event/import/airports.dat
"""

import csv
import sys
from optparse import make_option
from django.core.management.base import BaseCommand


class Command(BaseCommand):
    help = "Importo la lista degli aeroporti"
    option_list = BaseCommand.option_list + (
        make_option('-f', '--file', dest='filename', help='Read file in argument', default=None),
    )
    output_transaction = True

    def handle(self, *args, **opts):
        from publieditor.event.models import Airport

        if not opts.get('filename'):
            print "Manca il nome del file da importare (opt -f)"
            sys.exit(1)

        reader = csv.reader(open(opts.get('filename'), 'rb'), delimiter=',')
        for row in reader:
            name = "%s" % row[1]
            place = "%s" % row[2]
            iata_code = "%s" % row[4]
            if name and iata_code:
                try:
                    app = Airport(
                        iata_code=iata_code.strip(),
                        name=name.strip(),
                        place=place.strip(),
                    )
                    app.save()
                except Exception, e:
                    print e
