# coding: utf-8
"""
.. _retrieve-kpn-fax:

=============================

Command per
utilizzo::

  dj set_contact_membership_default

:-l: variabile Numero per limitare il numero di messaggi recuperare
"""


from django.core.management.base import BaseCommand

from optparse import make_option

from publieditor.event import models


class Command(BaseCommand):
    option_list = BaseCommand.option_list + (
        make_option('-l', '--limit', dest='limit', help='Limit Messages', default=0),
    )

    output_transaction = True

    def handle(self, *args, **options):
        """
        If a contact belongs to single newspaper, it's set like default membership
        """
        limit = options.get('limit')
        contacts = models.Contact.objects.all()
        if not limit == 0:
            contacts = contacts[0:limit]
        for contact in contacts:
            membership_count = contact.memberships.count()
            if membership_count == 1:
                membership = contact.memberships.all()[0]
                if not membership.default:
                    membership.default = True
                    membership.save()
