# -*- coding: utf-8 -*-
from django.utils.translation import ugettext_lazy as _

DEFAULT_EVENT_ID = 1
PUBLIEDITOR_EVENT_CUSTOM_ACCEPTED_PRIVACY_MESSAGE = False

PUBLIEDITOR_EVENT_SESSION_EXPIRED_TEMPLATE = "event/session_expired.html"
PUBLIEDITOR_EVENT_DEADLINE_EXPIRED_TEMPLATE = "event/deadline_expired.html"

PUBLIEDITOR_EVENT_BLACK_TEMPLATE = "event/landing_page_templates/BLACK.html"
PUBLIEDITOR_EVENT_BLANK_TEMPLATE = "event/landing_page_templates/BLANK.html"
PUBLIEDITOR_EVENT_BMW_TEMPLATE = "event/landing_page_templates/BMW.html"
PUBLIEDITOR_EVENT_SUPERBIKE_TEMPLATE = "event/landing_page_templates/SUPERBIKE.html"
PUBLIEDITOR_EVENT_BMW_MOTORRAD_TEMPLATE = "event/landing_page_templates/BMW_MOTORRAD.html"
PUBLIEDITOR_EVENT_BMW_GROUP_TEMPLATE = "event/landing_page_templates/BMW_GROUP.html"
PUBLIEDITOR_EVENT_MINI_TEMPLATE = "event/landing_page_templates/MINI.html"
PUBLIEDITOR_EVENT_MINI_BLANK_TEMPLATE = "event/landing_page_templates/MINI_BLANK.html"
PUBLIEDITOR_EVENT_TRIUMPH_TEMPLATE = "event/landing_page_templates/TRIUMPH.html"

# Template web invito
PUBLIEDITOR_EVENT_LANDING_PAGE_TEMPLATE_CHOICES = (
    (PUBLIEDITOR_EVENT_BLACK_TEMPLATE, _("BLACK")),
    (PUBLIEDITOR_EVENT_BLANK_TEMPLATE, _("BLANK")),
    (PUBLIEDITOR_EVENT_BMW_TEMPLATE, _("BMW")),
    (PUBLIEDITOR_EVENT_SUPERBIKE_TEMPLATE, _("SUPERBIKE")),
    (PUBLIEDITOR_EVENT_BMW_MOTORRAD_TEMPLATE, _("BMW - MOTORRAD")),
    (PUBLIEDITOR_EVENT_BMW_GROUP_TEMPLATE, _("BMW - GROUP")),
    (PUBLIEDITOR_EVENT_MINI_TEMPLATE, _("MINI")),
    (PUBLIEDITOR_EVENT_MINI_BLANK_TEMPLATE, _("MINI BLANK")),
    (PUBLIEDITOR_EVENT_TRIUMPH_TEMPLATE, _("TRIUMPH")),
)

# Templates home page
PUBLIEDITOR_EVENT_TRIUMPH_HOME_PAGE_TEMPLATE = "event/home_page/TRIUMPH.html"
PUBLIEDITOR_EVENT_TRIUMPH_HOME_PAGE_THANKS_TEMPLATE = "event/home_page/TRIUMPH_THANKS.html"

# Templates email invito
PUBLIEDITOR_EVENT_INVITE_TEMPLATES = {
    PUBLIEDITOR_EVENT_BLACK_TEMPLATE: "event/invite_templates/BLACK.html",
    PUBLIEDITOR_EVENT_BLANK_TEMPLATE: "event/invite_templates/BLANK.html",
    PUBLIEDITOR_EVENT_BMW_TEMPLATE: "event/invite_templates/BMW.html",
    PUBLIEDITOR_EVENT_SUPERBIKE_TEMPLATE: "event/invite_templates/SUPERBIKE.html",
    PUBLIEDITOR_EVENT_BMW_MOTORRAD_TEMPLATE: "event/invite_templates/BMW_MOTORRAD.html",
    PUBLIEDITOR_EVENT_BMW_GROUP_TEMPLATE: "event/invite_templates/BMW_GROUP.html",
    PUBLIEDITOR_EVENT_MINI_TEMPLATE: "event/invite_templates/MINI.html",
    PUBLIEDITOR_EVENT_MINI_BLANK_TEMPLATE: "event/invite_templates/MINI_BLANK.html",
}

# Templates email follwup
PUBLIEDITOR_EVENT_FOLLOWUP_EMAIL_TEMPLATES = {
    PUBLIEDITOR_EVENT_BLACK_TEMPLATE: "event/invite_templates/followup/BLACK.html",
    PUBLIEDITOR_EVENT_BLANK_TEMPLATE: "event/invite_templates/followup/BLANK.html",
    PUBLIEDITOR_EVENT_BMW_TEMPLATE: "event/invite_templates/followup/BMW.html",
    PUBLIEDITOR_EVENT_SUPERBIKE_TEMPLATE: "event/invite_templates/followup/SUPERBIKE.html",
    PUBLIEDITOR_EVENT_BMW_MOTORRAD_TEMPLATE: "event/invite_templates/followup/BMW_MOTORRAD.html",
    PUBLIEDITOR_EVENT_BMW_GROUP_TEMPLATE: "event/invite_templates/followup/BMW_GROUP.html",
    PUBLIEDITOR_EVENT_MINI_TEMPLATE: "event/invite_templates/followup/MINI.html",
    PUBLIEDITOR_EVENT_MINI_BLANK_TEMPLATE: "event/invite_templates/followup/MINI_BLANK.html",
}

# Templates email documenti
PUBLIEDITOR_EVENT_DOCUMENTS_EMAIL_TEMPLATES = {
    PUBLIEDITOR_EVENT_BLACK_TEMPLATE: "event/invite_templates/documents/BLACK.html",
    PUBLIEDITOR_EVENT_BLANK_TEMPLATE: "event/invite_templates/documents/BLANK.html",
    PUBLIEDITOR_EVENT_BMW_TEMPLATE: "event/invite_templates/documents/BMW.html",
    PUBLIEDITOR_EVENT_SUPERBIKE_TEMPLATE: "event/invite_templates/documents/SUPERBIKE.html",
    PUBLIEDITOR_EVENT_BMW_MOTORRAD_TEMPLATE: "event/invite_templates/documents/BMW_MOTORRAD.html",
    PUBLIEDITOR_EVENT_BMW_GROUP_TEMPLATE: "event/invite_templates/documents/BMW_GROUP.html",
    PUBLIEDITOR_EVENT_MINI_TEMPLATE: "event/invite_templates/documents/MINI.html",
    PUBLIEDITOR_EVENT_MINI_BLANK_TEMPLATE: "event/invite_templates/documents/MINI_BLANK.html",
}

# Templates poll page invito
PUBLIEDITOR_EVENT_POLL_PAGE_TEMPLATES = {
    PUBLIEDITOR_EVENT_BLACK_TEMPLATE: "event/landing_page_templates/BLACK.html",
    PUBLIEDITOR_EVENT_BLANK_TEMPLATE: "event/landing_page_templates/BLANK.html",
    PUBLIEDITOR_EVENT_BMW_TEMPLATE: "event/landing_page_templates/BMW.html",
    PUBLIEDITOR_EVENT_SUPERBIKE_TEMPLATE: "event/landing_page_templates/SUPERBIKE.html",
    PUBLIEDITOR_EVENT_BMW_MOTORRAD_TEMPLATE: "event/landing_page_templates/BMW_MOTORRAD.html",
    PUBLIEDITOR_EVENT_BMW_GROUP_TEMPLATE: "event/landing_page_templates/BMW_GROUP.html",
    PUBLIEDITOR_EVENT_MINI_TEMPLATE: "event/landing_page_templates/MINI.html",
    PUBLIEDITOR_EVENT_MINI_BLANK_TEMPLATE: "event/landing_page_templates/MINI_BLANK.html",
}

# Templates odt per generazione programma personalizzato
PUBLIEDITOR_EVENT_PERSONALIZED_PROGRAM_TEMPLATES = {
    PUBLIEDITOR_EVENT_BLACK_TEMPLATE: "event/odt_templates/BLACK.odt",
    PUBLIEDITOR_EVENT_BLANK_TEMPLATE: "event/odt_templates/BLANK.odt",
    PUBLIEDITOR_EVENT_BMW_TEMPLATE: "event/odt_templates/BMW.odt",
    PUBLIEDITOR_EVENT_SUPERBIKE_TEMPLATE: "event/odt_templates/SUPERBIKE.odt",
    PUBLIEDITOR_EVENT_BMW_MOTORRAD_TEMPLATE: "event/odt_templates/BMW_MOTORRAD.odt",
    PUBLIEDITOR_EVENT_BMW_GROUP_TEMPLATE: "event/odt_templates/BMW_GROUP.odt",
    PUBLIEDITOR_EVENT_MINI_TEMPLATE: "event/odt_templates/BMW_MINI.odt",
    PUBLIEDITOR_EVENT_MINI_BLANK_TEMPLATE: "event/odt_templates/MINI_BLANK.odt",
}

# Templates odt per cdu
PUBLIEDITOR_EVENT_CDU_TEMPLATES = {
    PUBLIEDITOR_EVENT_TRIUMPH_TEMPLATE: "event/odt_templates/CDU_TRIUMPH.odt",
}

# Templates admin preview landing invito
PUBLIEDITOR_EVENT_PREVIEW_PAGE_TEMPLATE_CHOICES = {
    PUBLIEDITOR_EVENT_BLACK_TEMPLATE: "event/landing_page_templates/previews/BLACK.html",
    PUBLIEDITOR_EVENT_BLANK_TEMPLATE: "event/landing_page_templates/previews/BLANK.html",
    PUBLIEDITOR_EVENT_BMW_TEMPLATE: "event/landing_page_templates/previews/BMW.html",
    PUBLIEDITOR_EVENT_SUPERBIKE_TEMPLATE: "event/landing_page_templates/previews/SUPERBIKE.html",
    PUBLIEDITOR_EVENT_BMW_MOTORRAD_TEMPLATE: "event/landing_page_templates/previews/BMW_MOTORRAD.html",
    PUBLIEDITOR_EVENT_BMW_GROUP_TEMPLATE: "event/landing_page_templates/previews/BMW_GROUP.html",
    PUBLIEDITOR_EVENT_MINI_TEMPLATE: "event/landing_page_templates/previews/MINI.html",
    PUBLIEDITOR_EVENT_MINI_BLANK_TEMPLATE: "event/landing_page_templates/previews/MINI_BLANK.html",
}

PUBLIEDITOR_EVENT_SKIN_IMAGES = {
    PUBLIEDITOR_EVENT_BLACK_TEMPLATE: None,
    PUBLIEDITOR_EVENT_BLANK_TEMPLATE: None,
    PUBLIEDITOR_EVENT_BMW_TEMPLATE: "event/img/invite_templates/bmw-im.png",
    PUBLIEDITOR_EVENT_SUPERBIKE_TEMPLATE: "event/img/invite_templates/superbike.png",
    PUBLIEDITOR_EVENT_BMW_MOTORRAD_TEMPLATE: "event/img/invite_templates/bmw-motorrad.png",
    PUBLIEDITOR_EVENT_BMW_GROUP_TEMPLATE: "event/img/invite_templates/bmw-group.png",
    PUBLIEDITOR_EVENT_MINI_TEMPLATE: "event/img/invite_templates/logo_mini.jpg",
    PUBLIEDITOR_EVENT_MINI_BLANK_TEMPLATE: None,
}

PUBLIEDITOR_EVENT_NEWSPAPER_PERIODICITY_CHOICES = (
    ('daily', _("Daily")),
    ('weekly', _("Weekly")),
    ('monthly', _("Monthly")),
    ('quarterly', _("Quarterly")),
)

PUBLIEDITOR_EVENT_CONTACT_SKI_CHOICES = (
    ('yes', _("Yes")),
    ('no', _("No")),
    ('alternative', _("Alternative"))
)


PUBLIEDITOR_EVENT_CONTACT_SKI_LEVEL_CHOICES = (
    ('beginner', _("Beginner")),
    ('intermediate', _("Intermediate")),
    ('advanced', _("Advanced"))
)



#: settings for upload to
PUBLIEDITOR_EVENT_HEADER_IMAGE_UPLOAD_TO = "SKIN/%Y/%m/%d"
PUBLIEDITOR_EVENT_FOOTER_IMAGE_UPLOAD_TO = "SKIN/%Y/%m/%d"
PUBLIEDITOR_EVENT_SIGNATURE_IMAGE_UPLOAD_TO = "SIGNATURE"
PUBLIEDITOR_EVENT_DISCLAIMER_IMAGE_UPLOAD_TO = "DISCLAIMER"

#: settings transport kind choices
PUBLIEDITOR_EVENT_TRANSPORT_KINDS = (
    ('f', _('Flight')),
    ('t', _('Train')),
    ('o', _('Own')),
    ('a', _('Free')),
)

#: settings activity kind choices
PUBLIEDITOR_EVENT_ACTIVITY_KINDS = (
    ('i', 'interview'),
    ('d', 'day'),
)

#: settings invite choices
PUBLIEDITOR_EVENT_INVITE_PENDING = 0
PUBLIEDITOR_EVENT_INVITE_TO_SEND = 1
PUBLIEDITOR_EVENT_INVITE_SENT = 2
PUBLIEDITOR_EVENT_INVITE_ACCEPTED = 3
PUBLIEDITOR_EVENT_INVITE_DECLINED = 4
PUBLIEDITOR_EVENT_INVITE_DELEGATED = 5
PUBLIEDITOR_EVENT_INVITE_POLL_DONE = 6
PUBLIEDITOR_EVENT_INVITE_FORWARD = 7

PUBLIEDITOR_EVENT_INVITE_STATUS_CODES = (
    (PUBLIEDITOR_EVENT_INVITE_PENDING, _('Pending')),
    (PUBLIEDITOR_EVENT_INVITE_TO_SEND, _('To send')),
    (PUBLIEDITOR_EVENT_INVITE_SENT, _('Sent')),
    (PUBLIEDITOR_EVENT_INVITE_ACCEPTED, _('Accepted')),
    (PUBLIEDITOR_EVENT_INVITE_DECLINED, _('Declined')),
    (PUBLIEDITOR_EVENT_INVITE_DELEGATED, _('Delegated')),
    (PUBLIEDITOR_EVENT_INVITE_POLL_DONE, _('Poll done')),
    (PUBLIEDITOR_EVENT_INVITE_FORWARD, _('Forward to')),
)

PUBLIEDITOR_EVENT_INVITE_CONTACT_ACTIONS = (PUBLIEDITOR_EVENT_INVITE_ACCEPTED,
    PUBLIEDITOR_EVENT_INVITE_DECLINED,
    PUBLIEDITOR_EVENT_INVITE_DELEGATED,
)

PUBLIEDITOR_EVENT_INVITE_STEP_CHOICES = (
    ('presentation', _('Presentation')),
    ('schedule', _('Schedule')),
    ('adhesion', _('Adhesion')),
    ('register', _('Register')),
    ('transport', _('Transport')),
    ('activity', _('Activity')),
    ('summary', _('Summary')),
    ('documents', _('Documents')),
    ('decline', _('Decline')),
    ('delegate', _('Delegate')),
    ('greetings', _('Greetings')),
)

#: Settings first invite step
PUBLIEDITOR_EVENT_INVITE_FIRST_STEP = (
    ('presentation', _('Presentation')),
    ('schedule', _('Schedule')),
    ('adhesion', _('Adhesion')),
)

# settings event transport directions
PUBLIEDITOR_EVENT_TRANSPORT_DIRECTIONS = (
    ('d', _('Departure')),
    ('r', _('Return')),
)

# Days of week
PUBLIEDITOR_EVENT_SERVICE_DAYS = (
    ("MON", _('Monday')),
    ("TUE", _('Tuesday')),
    ("WED", _('Wednesday')),
    ("THU", _('Thursday')),
    ("FRI", _('Friday')),
    ("SAT", _('Saturday')),
    ("SUN", _('Sunday')),
)

# Turn code choiches
PUBLIEDITOR_EVENT_TURN_CODE_CHOICES = (
    ("1", _("1st turn")),
    ("2", _("2nd turn")),
    ("3", _("3rd turn")),
    ("4", _("4th turn")),
    ("5", _("5th turn")),
    ("6", _("6th turn")),
    ("7", _("7th turn")),
    ("8", _("8th turn")),
    ("9", _("9th turn")),
    ("10", _("10th turn")),
    ("11", _("11th turn")),
    ("12", _("12th turn")),
    ("13", _("13th turn")),
    ("14", _("14th turn")),
    ("15", _("15th turn")),
    ("16", _("16th turn")),
    ("17", _("17th turn")),
    ("18", _("18th turn")),
    ("19", _("19th turn")),
    ("20", _("20th turn")),
)

PUBLIEDITOR_EVENT_CMSPLUGIN_SCHEDULE_TEMPLATES = (

)

PUBLIEDITOR_EVENT_CMSPLUGIN_SCHEDULE_CLASSES = (

)

PUBLIEDITOR_EVENT_CMSPLUGIN_ADHESION_TEMPLATES = (

)


PUBLIEDITOR_EVENT_CMSPLUGIN_REGISTER_TEMPLATES = (

)

PUBLIEDITOR_EVENT_CMSPLUGIN_DELEGATE_TEMPLATES = (

)

PUBLIEDITOR_EVENT_CMSPLUGIN_DECLINE_TEMPLATES = (

)

PUBLIEDITOR_EVENT_CMSPLUGIN_ADHESION_CLASSES = (

)

PUBLIEDITOR_EVENT_CMSPLUGIN_REGISTER_CLASSES = (

)

PUBLIEDITOR_EVENT_CMSPLUGIN_DELEGATE_CLASSES = (

)

PUBLIEDITOR_EVENT_CMSPLUGIN_DECLINE_CLASSES = (

)

PUBLIEDITOR_EVENT_CMSPLUGIN_TRANSPORT_TEMPLATES = (

)

PUBLIEDITOR_EVENT_CMSPLUGIN_TRANSPORT_CLASSES = (

)

PUBLIEDITOR_EVENT_CMSPLUGIN_ACTIVITY_TEMPLATES = (

)

PUBLIEDITOR_EVENT_CMSPLUGIN_ACTIVITY_CLASSES = (

)

PUBLIEDITOR_EVENT_CMSPLUGIN_SUMMARY_TEMPLATES = (

)

PUBLIEDITOR_EVENT_CMSPLUGIN_DOCUMENTS_TEMPLATES = (

)

PUBLIEDITOR_EVENT_CMSPLUGIN_GREETINGS_TEMPLATES = (

)

PUBLIEDITOR_EVENT_CMSPLUGIN_POLL_TEMPLATES = (

)

PUBLIEDITOR_EVENT_CMSPLUGIN_SUMMARY_CLASSES = (

)

PUBLIEDITOR_EVENT_CMSPLUGIN_DOCUMENTS_CLASSES = (

)

PUBLIEDITOR_EVENT_CMSPLUGIN_GREETINGS_CLASSES = (

)

PUBLIEDITOR_EVENT_CMSPLUGIN_POLL_CLASSES = (

)

PUBLIEDITOR_EVENT_CMSPLUGIN_PRESENTATION_TEMPLATES = (
    ("event/cms_plugins/presentation.html", _("presentation template"),),
)

PUBLIEDITOR_EVENT_CMSPLUGIN_PRESENTATION_CLASSES = (
    ("publieditor.event.cms.forms.PresentationForm", _("Presentation form"),),
)

# event translation default email
PUBLIEDITOR_EVENT_TRANSLATION_DEFAULT_EMAIL = "rsvp@publieditor.net"


PUBLIEDITOR_EVENT_TEMPLATE_PATH = "invite_templates"


PUBLIEDITOR_EVENT_DOCUMENT_TEMPLATE_PATH = "invite_templates/documents"
PUBLIEDITOR_EVENT_DOCUMENT_IMAGE_PATH = "invite_templates/img"


#: Setting per impostare la pagina sotto la quale trovare le landing page
PUBLIEDITOR_EVENT_INVITE_PAGE_SLUG = "invite-landing-pages"
PUBLIEDITOR_EVENT_POLL_PAGE_SLUG = "invite-poll-pages"


PUBLIEDITOR_EVENT_DOCUMENTS_EMAIL_TEMPLATE = "event/emails/documents_email.html"

PUBLIEDITOR_CONTACT_ELENCO_CHOICES = (
    ("professionals", _("Professionals")),
    ("publicists", _("Publicists")),
    ("special_list", _("Special list")),
)


########################################################################################################################
# Testi di default #####################################################################################################
########################################################################################################################
PUBLIEDITOR_EVENT_PRIVACY_DEFAULT_TEXT = dict(
    IT="""
        <b>AUTORIZZO L'UTILIZZO E L'ARCHIVIAZIONE DEI DATI.</b><br/>
        Il sottoscritto consente a Publieditor srl il trattamento, la comunicazione e la diffusione dei dati personali
        che lo riguardano, acquisiti con la presente scrittura e nei limiti indicati nell’informativa scritta ricevuta,
        dichiarando di essere a conoscenza dei diritti riconosciutigli dal citato art. 13, comma 1, D. Lsg. 193/2003.<br/>
        Publieditor srl informa, ai sensi dell’art.10 della legge 31/12/1996 n.675 sulla tutela dei dati personali, che
        i dati raccolti con la presente documentazione saranno oggetto di trattamento finalizzato alla trasmissione di
        materiale informativo mediante il loro inserimento nella banca di dati di Publieditor srl. Si precisa che il
        conferimento di detti dati è facoltativo e che gli stessi potranno essere comunicati o diffusi nell’ambito delle
        operazioni inerenti la finalità della raccolta. In relazione al trattamento dei dati è diritto dell’interessato
        ottenere quanto previsto dall’art. 13 del cit. D.Lgs. Il sottoscritto consente a Publieditor srl il trattamento,
        la comunicazione e la diffusione dei dati personali che lo riguardano, acquisiti con la presente scrittura e nei
        limiti indicati nell’informativa scritta ricevuta, dichiarando di essere a conoscenza dei diritti riconosciutigli
        dal citato art. 13 del cit. D.Lgs.
        <br/>
        {% if contact.privacy_acceptance_date %}
            REVOCA AUTORIZZAZIONE
            Per revocare l'autorizzazione alla privacy che ha già concesso a FCA Automobiles Group il {{ contact.privacy_acceptance_date.date }} invia una mail a pressoffice@fiat.com.
        {% endif %}
    """.replace("  ", "")
)

PUBLIEDITOR_EVENT_ADHESION_DEFAULT_TEXT = dict(
    IT="""
        <p>
            Ti saremmo grati di aderire alla manifestazione premendo il pulsante &ldquo;ACCETTO&rdquo;.
        </p>
        <p>
            Qualora non potessi partecipare personalmente, saremo lieti di accogliere un Tuo delegato che potrai indicarci
            premendo il pulsante &ldquo;DELEGO&rdquo;.
        </p>
        <p>
            Se n&eacute; tu n&eacute; un tuo collaboratore potrete intervenire, Ti preghiamo di premere il pulsante
            &ldquo;DECLINO&rdquo;.
        </p>
        <p>
            Sicuri che non vorrai mancare a questo importante appuntamento, Ti ringraziamo per l&rsquo;attenzione e Ti
            salutiamo cordialmente.
        </p>
    """
)


########################################################################################################################
# CONTACTS #############################################################################################################
########################################################################################################################
PUBLIEDITOR_CONTACT_TITLE_CHOICES = (
    ('mr', _('Mr')),
    ('ms', _('Ms')),
    ('dear', _('Dear')),
)

PUBLIEDITOR_CONTACT_SMOKING_CHOICES = (
    ('none', _('None')),
    ('smoking', _('Smoking')),
    ('nosmoking', _('No smoking')),
)

PUBLIEDITOR_CONTACT_FOOD_CHOICES = (
    ('none', _('None')),
    ('celiac', _('Celiac')),
    ('muslim', _('Muslim')),
    ('vegan', _('Vegan')),
    ('vegetarian', _('Vegetarian')),
    ('kosher', _('Kosher')),
)

PUBLIEDITOR_CONTACT_SHIRT_CHOICES = (
    ('xs', _("XS")),
    ('s', _("S")),
    ('m', _("M")),
    ('l', _("L")),
    ('xl', _("XL")),
    ('xxl', _("XXL")),
)

PUBLIEDITOR_CONTACT_SWEATER_CHOICES = (
    ('xs', _("XS")),
    ('s', _("S")),
    ('m', _("M")),
    ('l', _("L")),
    ('xl', _("XL")),
    ('xxl', _("XXL")),
)

PUBLIEDITOR_CONTACT_SKI_EQUIPMENT_CHOICES = (
    ('yes', _("Yes")),
    ('no', _("No")),
)

PUBLIEDITOR_CONTACT_LICENSE_TYPE_CHOICES = (
    ('a', _("A")),
    ('b', _("B")),
    ('c', _("C")),
    ('d', _("D")),
    ('e', _("E")),
)

CONTACT_PHONE_PHONE_TYPE_CHOICES = (
    ('P', _('Phone'),),
    ('M', _('Mobile'),),
    ('F', _('Fax'),),
)

CONTACT_IDENTIFICATION_TYPOLOGY_CHOICES = (
    ('id', _('ID'),),
    ('ps', _('Passport'),),
    ('ls', _('Licence'),),
)

PUBLIEDITOR_EVENT_EVENT_BREADCRMUBS_POSITION_CHOICES = (
    ("top", _("Top")),
    ("bottom", _("Bottom")),
    ("both", _("Both")),
)

PUBLIEDITOR_EVENT_PHONE_QUESTION_TYPE = (
    ("default", _("Default")),
    ("all", _("All")),
)

PUBLIEDITOR_EVENT_ADDRESS_QUESTION_TYPE = (
    ("default", _("Default")),
    ("all", _("All")),
)

PUBLIEDITOR_EVENT_FREQUENT_FLYER_QUESTION_TYPE = (
    ("default", _("Default")),
    ("all", _("All")),
)


PUBLIEDITOR_EVENT_INVITE_ACTION_EMAIL_FROM = "info@publieditor.net"
PUBLIEDITOR_EVENT_INVITE_ACTION_EMAIL_TO = "info@publieditor.net"
PUBLIEDITOR_EVENT_INVITE_ACTION_EMAIL_TO_CCN = []

PUBLIEDITOR_EVENT_CONTACT_PHOTO = 'uploads/contact'

#: Configurazione dello stile dei campi - stile: 'title', 'upper', 'lower'
#: i campi che vengono modificati al salvataggio sono: first_name e last_name
PUBLIEDITOR_EVENT_CONTACT_NAME_STYLE = 'title'

PUBLIEDITOR_EVENT_INVITE_ACCEPTED_PRIVACY = """
In ottemperanza al D. lgs. 196/2003, La informiamo che i Suoi dati personali,necessari all’invio della presente
comunicazione, sono stati trattati da FCA Italy S.p.A., titolare del trattamento, in quanto appartenenti alla mailing
list dell’Ufficio Stampa della direzione Communications di FCA Italy S.p.A..Se Lei non desidera più ricevere email
di invito, o se vuole consultare, modificare o cancellare i Suoi dati o semplicemente opporsi al loro utilizzo,
sarà sufficiente scrivere a pressoffice@fcagroup.com.
<br><br>
<b>PRIVACY</b><br>
Se desideri apportare modifiche alle informazioni della tua scheda contatto clicca <a href='/event/login'>qui</a>.
"""

PUBLIEDITOR_EVENT_IMAGE_BASE_URL = "https://mediapool.bmwgroup.com/mediapool/econtroller/pressclub/publicq"
PUBLIEDITOR_EVENT_IMAGE_URL_PREFIX_ORIGINAL = "?actEvent=high&dokNo="
PUBLIEDITOR_EVENT_IMAGE_URL_SUFFIX_ORIGINAL = ""
PUBLIEDITOR_EVENT_IMAGE_URL_PREFIX_THUMB = "?actEvent=zoom&dokNo="
PUBLIEDITOR_EVENT_IMAGE_URL_SUFFIX_THUMB = ""

PUBLIEDITOR_EVENT_SEND_EMAIL_ON_INVITE_OPENING = False
PUBLIEDITOR_EVENT_DEBUG_RECIPIENTS = ['luca.tecnosphera@gmail.com']


# If True invite wr code generation is enabled in documents step and the qr code is used to save contact partecipation
PUBLIEDITOR_EVENT_ENABLE_QRCODE = False

CONTACT_SOCIAL_MEDIA_LINK_CHOICES = (
    ("blog", _("Blog")),
    ("facebook", _("Facebook")),
    ("twitter", _("Twitter")),
    ("instagram", _("Instagram")),
    ("youtube", _("Youtube")),
    ("google+", _("Google +")),
    ("linkedin", _("LinkedIn")),
    ("skype", _("Skype")),
    ("web", _("Web")),
)

PUBLIEDITOR_EVENT_CONTACT_PUBLIC_EDITABLE_FIELDS = [
    'language', 'photo', 'title', 'first_name', 'last_name', 'email', 'birth_place', 'birthday', 'smoking', 'food',
    'food_note', 'shirt_size', 'height', 'weight', 'sweater_size', 'shoes_size',
    'id_card_number', 'id_card_issue_date', 'id_card_expiration_date', 'id_card_scan',
    'passport_number', 'passport_issue_date', 'passport_expiration_date', 'passport_scan',
    'license_number', 'license_issue_date', 'license_expiration_date', 'license_emitted_by',
    'license_types', 'license_scan', 'press_card_number', 'elenco', 'note'
]
PUBLIEDITOR_EVENT_CONTACT_PUBLIC_REQUIRED_FIELDS = [
    'language', 'title', 'first_name', 'last_name', 'email', 'birth_place', 'birthday', 'smoking', 'food',
    'license_number', 'license_issue_date', 'license_expiration_date',
    'license_emitted_by', 'license_types'
]

PUBLIEDITOR_EVENT_CONTACT_PRIVACY_FIELD = "privacy_acceptance_date"
PUBLIEDITOR_EVENT_CONTACT_USER_ENABLED = False

# 1=PUB  2=FCA
PROJECT_ID = 1

EVENT_CONTACTGROUP_TRIUMPH_NAME = 'triumph_2018'
EVENT_EVENT_TRIUMPH_SLUG = 'triumph-tour-2018'
EVENT_INVITE_TRIUMPH_SITE_PROTOCOL = 'http'
EVENT_INVITE_TRIUMPH_SITE_DOMAIN = 'tour2018.triumph.it'
PUBLIEDITOR_EVENT_INVITE_ACTION_EMAIL_FROM_TRIUMPH = 'tour2018@triumph.it'

# path appended at settings.MEDIA_ROOT
# Not use this, to retrieve path use Invite.get_cdu_file_path
PUBLIEDITOR_EVENT_CDU_PATH = 'cdu-documents/'
PUBLIEDITOR_AUTH_GROUPS_NAME = {
    'hostess': 'Hostess'
}

PUBLIEDITOR_EVENT_PHONE_CONTACT_RESULT = (
    ('tc', _("To contact")),
    ('tr', _("To recall")),
    ('no', _("Not Interested")),
    ('yes', _("Appointment")),
    ('other', _("Other")),
    ('pa', _("After appointment")),
)



POD_CONVERTER = 'https://pdf7.thux.dev'

# POD_ENDPOINT_MERGE = '/merge'
# POD_ENDPOINT_CONVERT = '/convert/office'
POD_ENDPOINT_MERGE = '/forms/pdfengines/merge'
POD_ENDPOINT_CONVERT = '/forms/libreoffice/convert'


POD_CONVERTER_TIMEOUT = 10
POD_FORMATS_NEEDING_CONVERTER = ['pdf']
