$(document).ready(function() {
    $(".select2").select2();
    $("#hint_id_license_types").hide();
    $("p[id^='hint_id_addresses-']").hide();
    $("#div_id_memberships-0-DELETE").hide();
    $("#div_id_addresses-0-DELETE").hide();
    $("#div_id_phones-0-DELETE").hide();
    $("label[class='radio']").each(function(){
        $(this).addClass('radio-inline');
    });
    $("label[class='checkbox']").each(function(){
        $(this).addClass('checkbox-inline');
    });

    // Privacy modal management
    $('a.privacy_link').on('click', function(e){
        e.preventDefault();
        $('#privacy-modal').modal('show')
    });

    // Disable tabs
    $(".nav-tabs a[data-toggle=tab]").not("a[href=#tab-general-info]").parent("li").addClass("disabled");
    $(".nav-tabs a[data-toggle=tab]").on("click", function(e) {
        if ($(this).parent('li').hasClass("disabled")) {
            e.preventDefault();
            return false;
        }
    });

    $('#add-address').on('click', function(){
        $( "div[class^='addresses-']:hidden" ).first().removeClass('hidden');
        if (! $( "div[class^='addresses-']:hidden" ).length) {
            $('#add-address').addClass('hidden');
        };
    });

    $('#add-phone').on('click', function(){
        $( "div[class^='phones-']:hidden" ).first().removeClass('hidden');
        if (! $( "div[class^='phones-']:hidden" ).length) {
            $('#add-phone').addClass('hidden');
        };
    });

    $('#add-email-cc').on('click', function(){
        $( "div[class^='cc_emails-']:hidden" ).first().removeClass('hidden');
        if (! $( "div[class^='cc_emails-']:hidden" ).length) {
            $('#add-email-cc').addClass('hidden');
        };
    });

    $('#add-membership').on('click', function(){
        $( "div[class^='memberships-']:hidden" ).first().removeClass('hidden');
        if (! $( "div[class^='memberships-']:hidden" ).length) {
            $('#add-memberships').addClass('hidden');
        };
    });

    $('#add-frequent-flyer').on('click', function(){
        $( "div[class^='cards-']:hidden" ).first().removeClass('hidden');
        if (! $( "div[class^='cards-']:hidden" ).length) {
            $('#add-cards').addClass('hidden');
        };
    });

    i = 2;
    while (i<5){
        if(! $('#id_addresses-'+i+'-name').val()) {
            $('.addresses-'+i).addClass('hidden');
        };
        if(! $('#id_phones-'+i+'-number').val()) {
            $('.phones-'+i).addClass('hidden');
        };
        if(! $('#id_cc_emails-'+i+'-email').val()) {
            $('.cc_emails-'+i).addClass('hidden');
        };
        if (! $('#id_memberships-'+i+'-newspaper').val()) {
            $('.memberships-'+i).addClass('hidden');
        };
        if (! $('#id_cards-'+i+'-number').val()) {
            $('.cards-'+i).addClass('hidden');
        };
        i++;
    };

    $("#form-next").on("click", function(e) {
        $.ajax({
            method: "post",
            data: $("#profile-form").serialize(),
            url: $('.ajax-formset:visible').data('url'),
            dataType: "json",
            success: function(data) {
                $(".has-error").removeClass("has-error");
                $("span.help-block").hide();
                if (data.success) {
                    if ($('.ajax-formset:visible').data('url') === $("#bottom-generic-alert").data('url')) {
                        $("#bottom-generic-alert").addClass("hidden");
                    }
                    var $next = $(".nav-tabs li.active").next();
                    $next.removeClass("disabled");
                    $next.find('a').tab('show');
                    $("html, body").animate({ scrollTop: 0 }, "slow");
                    if (! $(".nav-tabs li.active").next().length) {
                         $("#form-next").hide();
                         $('#form-submit').removeClass('hidden');
                    };
                } else {
                    if ($('.ajax-formset:visible').data('url') === $("#bottom-generic-alert").data('url')) {
                        $("#bottom-generic-alert").removeClass("hidden");
                    }
                    if ($.isArray(data.errors)){
                        k = 0;
                        for (k=0; k<5; k++) {
                            for (var key in data.errors[k]) {
                                var formGroup = $('.form-group[id$='+k+'-'+key+']:visible');
                                formGroup.addClass('has-error');
                                formGroup.append('<span class="help-block"><strong>' + data.errors[k][key][0] + '</strong></span>');
                            }
                        }
                    } else {
                        for (var key in data.errors) {
                            var formGroup = $('label[for$='+key+']:visible').parents('.form-group');
                            formGroup.addClass('has-error');
                            formGroup.append('<span class="help-block"><strong>' + data.errors[key][0] + '</strong></span>');
                        }
                    }
                }
            }
        })
    });

    $("#form-submit").on("click", function(e) {
        e.preventDefault();
        $.ajax({
            method: "post",
            data: $("#profile-form").serialize(),
            url: $('.ajax-formset:visible').data('url'),
            dataType: "json",
            success: function(data) {
                $(".has-error").removeClass("has-error");
                $("span.help-block").hide();
                if (data.success) {
                    $("#form-submit").addClass("disabled");
                    $("#form-submit").html($("#form-submit").data('save-text'));
                    $("#profile-form").submit();
                } else {
                    $("#bottom-generic-alert").removeClass("hidden");
                    k = 0;
                    for (k=0; k<5; k++) {
                        for (var key in data.errors[k]) {
                            var formGroup = $('.form-group[id$='+k+'-'+key+']:visible');
                            formGroup.addClass('has-error');
                            formGroup.append('<span class="help-block"><strong>' + data.errors[k][key][0] + '</strong></span>');
                        }
                    }
                }
            }
        })
    })
    $(".delete-input").each(function(){
        var element_id = $(this).attr("id");
        var options = {delay: {"show": 0, "hide": 0}};
        var label = 'label[for="' + element_id + '"]';
        $(label).attr("title", "Selezionando elimina le informazioni riportate saranno eliminate al termine della procedura di registrazione");
        $(label).tooltip(options);
    });
})

jQuery(document).ready(function(){
    $.datepicker.regional['it'] = {
        monthNames: [
            'Gennaio','Febbraio','Marzo','Aprile','Maggio','Giugno',
            'Luglio','Agosto','Settembre','Ottobre','Novembre','Dicembre'
        ],
        monthNamesShort: ['Gen','Feb','Mar','Apr','Mag','Giu','Lug','Ago','Set','Ott','Nov','Dic'],
        dayNames: ['Domenica','Lunedì','Martedì','Mercoeldì','Giovedì','Venerdì','Sabato'],
        dayNamesShort: ['Dom','Lun','Mar','Mer','Gio','Ven','Sab'],
        dayNamesMin: ['Do','Lu','Ma','Me','Gi','Ve','Sa'],
        dateFormat: 'dd/mm/yy', firstDay: 0,
    };
    $.datepicker.setDefaults($.datepicker.regional['it']);
    $(".datepicker").datepicker({
      changeMonth: true,
      changeYear: true,
      yearRange: '1900:2100',
    });
    var setDatePickerFormat = function(language_code) {
        if (language==='en') {
            var format = 'mm/dd/yy';
        } else {
            var format = 'dd/mm/yy';
        }
        $(".datepicker").datepicker("option", "dateFormat", format);
    }
    var language = $("#profile-form").data('language');
    var date_format = $("#profile-form").data('date-format');
    setDatePickerFormat(language);
    $("#date-format").text(date_format);
})
