# -*- coding: utf-8 -*-

from django.conf.urls import url, patterns

from publieditor.event.views import (
    EventHomePageView, HostessLoginView, EventHostessHomePageView, EventHostessRegistrationCustomerView,
    EventHostessPrintCDUView, HostessLogoutView, EventHomePageThanksView,
    AddVehicleView)

urlpatterns = patterns(
    '',
    url(r'^event/home/(?P<slug>[-\w]+)/$', EventHomePageView.as_view(), name='event_home'),
    url(r'^event/home/(?P<slug>[-\w]+)/greetings/$', EventHomePageThanksView.as_view(), name='event_home_greetings'),  # NOTE: This url is used from triumph analytcs
    url(r'^hostess/login/$', HostessLoginView.as_view(), name='hostess_login'),
    url(r'^hostess/logout/$', HostessLogoutView.as_view(), name='hostess_logout'),
    url(r'^event/hostess/(?P<slug>[-\w]+)/$', EventHostessHomePageView.as_view(), name='hostess_event_home'),
    url(r'^event/hostess/(?P<slug>[-\w]+)/add_vehicle/$', AddVehicleView.as_view(), name='hostess_event_add_vehicle'),
    url(r'^event/hostess/(?P<slug>[-\w]+)/registration/$', EventHostessRegistrationCustomerView.as_view(), name='hostess_registration'),
    url(r'^event/hostess/(?P<slug>[-\w]+)/print_document/(?P<invite>[\w]+)/$', EventHostessPrintCDUView.as_view(), name='hostess_print_cdu'),
    url(r'^event/hostess/(?P<slug>[-\w]+)/print_document/(?P<invite>[\w]+)/download/$', EventHostessPrintCDUView.as_view(), name='hostess_download_cdu'),
    url(r'^event/hostess/(?P<slug>[-\w]+)/registration/(?P<invite>[\w]+)/$', EventHostessRegistrationCustomerView.as_view(), name='hostess_registration')
)
