# -*- coding: utf-8 -*-

from django.core.exceptions import ValidationError
from django.utils.translation import ugettext as _


def validate_excel_extensions(value):
    """
    Validator which allows only excel files
    """
    ext = value.name.split(".")[-1]
    if ext.lower() not in ["xls", "xlsx"]:
        raise ValidationError(_("Can't upload not excel file"))


def validate_newsletter_document(content):
    """
    Validator which allows only enabled files in newsletter documents
    """
    ext = content.name.split(".")[-1]
    if ext.lower() not in ["xls", "xlsx", "pdf", "doc", "docx", "jpg", "jpeg", "ics", "zip"]:
        raise ValidationError(_("File format not supported"))
    if (content.file.size/1024) > 2048:
        raise ValidationError(_('Please keep filesize under 2 Megabyte'))
