# http://www.28lines.com/?p=8
import os
import re
from setuptools import setup, find_packages
from setuptools.command.test import test


class TestRunner(test):
    def run(self, *args, **kwargs):
        if self.distribution.install_requires:
            self.distribution.fetch_build_eggs(
                self.distribution.install_requires)
        if self.distribution.tests_require:
            self.distribution.fetch_build_eggs(
                self.distribution.tests_require)
        from publieditor.event.tests.runtests import runtests
        runtests()


def get_data_files(*args, **kwargs):

    EXT_PATTERN = kwargs.get('ext') or '\.(html|js|txt|css|po|mo|png|json|xml|yml|odt)'

    data_dict = {}
    for pkg_name in args:
        data_files = []
        for dirpath, dirnames, filenames in os.walk(pkg_name.replace('.', '/')):
            rel_dirpath = re.sub("^" + pkg_name + '/', '',  dirpath)
            # Ignore dirnames that start with '.'
            for i, dirname in enumerate(dirnames):
                if dirname.startswith('.'): del dirnames[i]
            if filenames:
                data_files += [os.path.join(rel_dirpath, f) for f in filenames
                               if re.search(EXT_PATTERN, f)]
        data_dict[pkg_name] = data_files
    return data_dict

setup(
    name='publieditor.event',
    namespace_packages = ['publieditor'],
    version = "0.3.8",
    description='PUBLIEDITOR EVENT', 
    author='ThunderSystems',
    url='http://hg/thundersystems.it/jmb/publieditor.event',
    author_email='dev@thundersystems.it',
    packages=find_packages(exclude=['tests', 'tests.*']),
    platforms='any',
    zip_safe=False,
    classifiers=[
        'Environment :: Jumbo',
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        'Topic :: Internet :: WWW/HTTP :: Dynamic Content',
        'Framework :: Django',
        'Framework :: Jumbo',
    ],
    test_suite = "publieditor.event.tests",
    cmdclass={"test": TestRunner},
    install_requires=[
        'reportlab',
        'setuptools',
        'django-multiselectfield',
        'django-colorful',
        'django-ckeditor',
        'django-widget-tweaks',
        'django-qrcode',
        'django-imagekit',
        'jmb.core>=0.6.2',
        'jmb.i18n',
        'jmb.l10n',
        'jmb.address',
        'jmb.mailer',
        'publieditor.survey',
    ],
    package_data=get_data_files('publieditor.event')
)

