# -*- coding: utf-8 -*-
from south.utils import datetime_utils as datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'MailingList'
        db.create_table(u'event_mailinglist', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('status', self.gf('django.db.models.fields.IntegerField')(default=1, null=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_mailinglist_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_mailinglist_last_modifier', null=True, to=orm['auth.User'])),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('slug', self.gf('django.db.models.fields.SlugField')(default=datetime.datetime.now, unique=True, max_length=100)),
            ('description', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
        ))
        db.send_create_signal(u'event', ['MailingList'])

        # Adding model 'Organization'
        db.create_table(u'event_organization', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('status', self.gf('django.db.models.fields.IntegerField')(default=1, null=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_organization_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_organization_last_modifier', null=True, to=orm['auth.User'])),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100)),
        ))
        db.send_create_signal(u'event', ['Organization'])

        # Adding model 'License'
        db.create_table(u'event_license', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_license_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_license_last_modifier', null=True, to=orm['auth.User'])),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=5)),
        ))
        db.send_create_signal(u'event', ['License'])

        # Adding model 'Contact'
        db.create_table(u'event_contact', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('status', self.gf('django.db.models.fields.IntegerField')(default=1, null=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_contact_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_contact_last_modifier', null=True, to=orm['auth.User'])),
            ('photo', self.gf('django.db.models.fields.files.ImageField')(max_length=255, null=True, blank=True)),
            ('title', self.gf('django.db.models.fields.CharField')(max_length=10)),
            ('first_name', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
            ('last_name', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
            ('company', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
            ('birth_place', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
            ('birthday', self.gf('django.db.models.fields.DateField')(null=True, blank=True)),
            ('email', self.gf('django.db.models.fields.EmailField')(max_length=75)),
            ('language', self.gf('django.db.models.fields.related.ForeignKey')(related_name='contact_contacts', to=orm['i18n.Language'])),
            ('agent', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='contacts', null=True, to=orm['event.Agent'])),
            ('is_test_contact', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('privacy_acceptance_date', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('smoking', self.gf('django.db.models.fields.CharField')(max_length=25, null=True, blank=True)),
            ('food', self.gf('django.db.models.fields.CharField')(max_length=25, null=True, blank=True)),
            ('shirt_size', self.gf('django.db.models.fields.CharField')(max_length=10, null=True, blank=True)),
            ('height', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
            ('weight', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
            ('sweater_size', self.gf('django.db.models.fields.CharField')(max_length=10, null=True, blank=True)),
            ('shoes_size', self.gf('django.db.models.fields.CharField')(max_length=10, null=True, blank=True)),
            ('ski', self.gf('django.db.models.fields.CharField')(max_length=25, null=True, blank=True)),
            ('ski_level', self.gf('django.db.models.fields.CharField')(max_length=25, null=True, blank=True)),
            ('ski_equipment', self.gf('django.db.models.fields.CharField')(max_length=10, null=True, blank=True)),
            ('ski_boots_size', self.gf('django.db.models.fields.CharField')(max_length=10, null=True, blank=True)),
            ('id_card_number', self.gf('django.db.models.fields.CharField')(max_length=25, null=True, blank=True)),
            ('id_card_issue_date', self.gf('django.db.models.fields.DateField')(null=True, blank=True)),
            ('id_card_expiration_date', self.gf('django.db.models.fields.DateField')(null=True, blank=True)),
            ('id_card_scan', self.gf('django.db.models.fields.files.ImageField')(max_length=100, null=True, blank=True)),
            ('passport_number', self.gf('django.db.models.fields.CharField')(max_length=25, null=True, blank=True)),
            ('passport_issue_date', self.gf('django.db.models.fields.DateField')(null=True, blank=True)),
            ('passport_expiration_date', self.gf('django.db.models.fields.DateField')(null=True, blank=True)),
            ('passport_scan', self.gf('django.db.models.fields.files.ImageField')(max_length=100, null=True, blank=True)),
            ('license_number', self.gf('django.db.models.fields.CharField')(max_length=25, null=True, blank=True)),
            ('license_issue_date', self.gf('django.db.models.fields.DateField')(null=True, blank=True)),
            ('license_expiration_date', self.gf('django.db.models.fields.DateField')(null=True, blank=True)),
            ('license_emitted_by', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
            ('license_scan', self.gf('django.db.models.fields.files.ImageField')(max_length=100, null=True, blank=True)),
            ('press_card_number', self.gf('django.db.models.fields.CharField')(max_length=10, null=True, blank=True)),
            ('elenco', self.gf('django.db.models.fields.CharField')(max_length=50, null=True, blank=True)),
            ('food_note', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('note', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('internal_note', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
        ))
        db.send_create_signal(u'event', ['Contact'])

        # Adding M2M table for field groups on 'Contact'
        m2m_table_name = db.shorten_name(u'event_contact_groups')
        db.create_table(m2m_table_name, (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('contact', models.ForeignKey(orm[u'event.contact'], null=False)),
            ('contactgroup', models.ForeignKey(orm[u'event.contactgroup'], null=False))
        ))
        db.create_unique(m2m_table_name, ['contact_id', 'contactgroup_id'])

        # Adding M2M table for field license_types on 'Contact'
        m2m_table_name = db.shorten_name(u'event_contact_license_types')
        db.create_table(m2m_table_name, (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('contact', models.ForeignKey(orm[u'event.contact'], null=False)),
            ('license', models.ForeignKey(orm[u'event.license'], null=False))
        ))
        db.create_unique(m2m_table_name, ['contact_id', 'license_id'])

        # Adding model 'Agent'
        db.create_table(u'event_agent', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('status', self.gf('django.db.models.fields.IntegerField')(default=1, null=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_agent_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_agent_last_modifier', null=True, to=orm['auth.User'])),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=100)),
        ))
        db.send_create_signal(u'event', ['Agent'])

        # Adding model 'ContactGroup'
        db.create_table(u'event_contactgroup', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('status', self.gf('django.db.models.fields.IntegerField')(default=1, null=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_contactgroup_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_contactgroup_last_modifier', null=True, to=orm['auth.User'])),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=100)),
            ('agent', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='groups', null=True, to=orm['event.Agent'])),
        ))
        db.send_create_signal(u'event', ['ContactGroup'])

        # Adding model 'Role'
        db.create_table(u'event_role', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('status', self.gf('django.db.models.fields.IntegerField')(default=1, null=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_role_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_role_last_modifier', null=True, to=orm['auth.User'])),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=100)),
        ))
        db.send_create_signal(u'event', ['Role'])

        # Adding model 'NewspaperCategory'
        db.create_table(u'event_newspapercategory', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_newspapercategory_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_newspapercategory_last_modifier', null=True, to=orm['auth.User'])),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=100)),
        ))
        db.send_create_signal(u'event', ['NewspaperCategory'])

        # Adding model 'NewspaperType'
        db.create_table(u'event_newspapertype', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_newspapertype_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_newspapertype_last_modifier', null=True, to=orm['auth.User'])),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=100)),
        ))
        db.send_create_signal(u'event', ['NewspaperType'])

        # Adding model 'NewspaperSector'
        db.create_table(u'event_newspapersector', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_newspapersector_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_newspapersector_last_modifier', null=True, to=orm['auth.User'])),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=100)),
        ))
        db.send_create_signal(u'event', ['NewspaperSector'])

        # Adding model 'Newspaper'
        db.create_table(u'event_newspaper', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('status', self.gf('django.db.models.fields.IntegerField')(default=1, null=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_newspaper_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_newspaper_last_modifier', null=True, to=orm['auth.User'])),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=100)),
            ('periodicity', self.gf('django.db.models.fields.CharField')(max_length=25, null=True, blank=True)),
            ('url', self.gf('django.db.models.fields.URLField')(max_length=200, null=True, blank=True)),
        ))
        db.send_create_signal(u'event', ['Newspaper'])

        # Adding M2M table for field types on 'Newspaper'
        m2m_table_name = db.shorten_name(u'event_newspaper_types')
        db.create_table(m2m_table_name, (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('newspaper', models.ForeignKey(orm[u'event.newspaper'], null=False)),
            ('newspapertype', models.ForeignKey(orm[u'event.newspapertype'], null=False))
        ))
        db.create_unique(m2m_table_name, ['newspaper_id', 'newspapertype_id'])

        # Adding M2M table for field categories on 'Newspaper'
        m2m_table_name = db.shorten_name(u'event_newspaper_categories')
        db.create_table(m2m_table_name, (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('newspaper', models.ForeignKey(orm[u'event.newspaper'], null=False)),
            ('newspapercategory', models.ForeignKey(orm[u'event.newspapercategory'], null=False))
        ))
        db.create_unique(m2m_table_name, ['newspaper_id', 'newspapercategory_id'])

        # Adding M2M table for field sectors on 'Newspaper'
        m2m_table_name = db.shorten_name(u'event_newspaper_sectors')
        db.create_table(m2m_table_name, (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('newspaper', models.ForeignKey(orm[u'event.newspaper'], null=False)),
            ('newspapersector', models.ForeignKey(orm[u'event.newspapersector'], null=False))
        ))
        db.create_unique(m2m_table_name, ['newspaper_id', 'newspapersector_id'])

        # Adding model 'Card'
        db.create_table(u'event_card', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_card_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_card_last_modifier', null=True, to=orm['auth.User'])),
            ('contact', self.gf('django.db.models.fields.related.ForeignKey')(related_name='cards', to=orm['event.Contact'])),
            ('airline', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='cards', null=True, to=orm['event.Airline'])),
            ('number', self.gf('django.db.models.fields.CharField')(max_length=50)),
            ('expiration_date', self.gf('django.db.models.fields.DateField')(null=True, blank=True)),
            ('default', self.gf('django.db.models.fields.BooleanField')(default=False)),
        ))
        db.send_create_signal(u'event', ['Card'])

        # Adding model 'Membership'
        db.create_table(u'event_membership', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_membership_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_membership_last_modifier', null=True, to=orm['auth.User'])),
            ('newspaper', self.gf('django.db.models.fields.related.ForeignKey')(related_name='memberships', to=orm['event.Newspaper'])),
            ('contact', self.gf('django.db.models.fields.related.ForeignKey')(related_name='memberships', to=orm['event.Contact'])),
            ('role', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='memberships', null=True, to=orm['event.Role'])),
            ('default', self.gf('django.db.models.fields.BooleanField')(default=False)),
        ))
        db.send_create_signal(u'event', ['Membership'])

        # Adding unique constraint on 'Membership', fields ['newspaper', 'contact']
        db.create_unique(u'event_membership', ['newspaper_id', 'contact_id'])

        # Adding model 'ContactEmailCc'
        db.create_table(u'event_contactemailcc', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_contactemailcc_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_contactemailcc_last_modifier', null=True, to=orm['auth.User'])),
            ('contact', self.gf('django.db.models.fields.related.ForeignKey')(related_name='cc_emails', to=orm['event.Contact'])),
            ('email', self.gf('django.db.models.fields.EmailField')(max_length=75, null=True, blank=True)),
            ('contact_cc', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='cc_emails_for', null=True, to=orm['event.Contact'])),
            ('default', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('note', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
        ))
        db.send_create_signal(u'event', ['ContactEmailCc'])

        # Adding model 'Phone'
        db.create_table(u'event_phone', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('status', self.gf('django.db.models.fields.IntegerField')(default=1, null=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_phone_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_phone_last_modifier', null=True, to=orm['auth.User'])),
            ('contact', self.gf('django.db.models.fields.related.ForeignKey')(related_name='phones', to=orm['event.Contact'])),
            ('area_code', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='phones', null=True, to=orm['event.AreaCode'])),
            ('phone_type', self.gf('django.db.models.fields.CharField')(default='P', max_length=2)),
            ('number', self.gf('django.db.models.fields.CharField')(max_length=50)),
            ('default', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('note', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
        ))
        db.send_create_signal(u'event', ['Phone'])

        # Adding model 'ContactAddress'
        db.create_table(u'event_contactaddress', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('status', self.gf('django.db.models.fields.IntegerField')(default=1, null=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_contactaddress_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_contactaddress_last_modifier', null=True, to=orm['auth.User'])),
            ('address_type', self.gf('django.db.models.fields.IntegerField')(default=7, null=True, db_index=True, blank=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100, db_index=True)),
            ('number', self.gf('django.db.models.fields.CharField')(max_length=20, null=True, db_column='anumber', blank=True)),
            ('crossed', self.gf('django.db.models.fields.CharField')(max_length=5, null=True, blank=True)),
            ('scale', self.gf('django.db.models.fields.CharField')(max_length=5, null=True, blank=True)),
            ('floor', self.gf('django.db.models.fields.CharField')(max_length=3, null=True, blank=True)),
            ('zip_code', self.gf('django.db.models.fields.CharField')(db_index=True, max_length=20, null=True, blank=True)),
            ('locality', self.gf('django.db.models.fields.CharField')(db_index=True, max_length=100, null=True, blank=True)),
            ('province', self.gf('django.db.models.fields.CharField')(db_index=True, max_length=2, null=True, blank=True)),
            ('country', self.gf('django.db.models.fields.related.ForeignKey')(default=False, to=orm['l10n.Country'])),
            ('post_office', self.gf('django.db.models.fields.CharField')(max_length=10, null=True, blank=True)),
            ('contact', self.gf('django.db.models.fields.related.ForeignKey')(related_name='addresses', to=orm['event.Contact'])),
            ('default', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('note', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
        ))
        db.send_create_signal(u'event', ['ContactAddress'])

        # Adding M2M table for field address_scopes on 'ContactAddress'
        m2m_table_name = db.shorten_name(u'event_contactaddress_address_scopes')
        db.create_table(m2m_table_name, (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('contactaddress', models.ForeignKey(orm[u'event.contactaddress'], null=False)),
            ('addressscope', models.ForeignKey(orm[u'address.addressscope'], null=False))
        ))
        db.create_unique(m2m_table_name, ['contactaddress_id', 'addressscope_id'])

        # Adding model 'Event'
        db.create_table(u'event_event', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('status', self.gf('django.db.models.fields.IntegerField')(default=1, null=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_event_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_event_last_modifier', null=True, to=orm['auth.User'])),
            ('meta_description', self.gf('django.db.models.fields.TextField')(max_length=255, blank=True)),
            ('meta_keywords', self.gf('django.db.models.fields.CharField')(max_length=255, blank=True)),
            ('page_title', self.gf('django.db.models.fields.CharField')(max_length=255, blank=True)),
            ('is_newsletter', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=100)),
            ('slug', self.gf('django.db.models.fields.SlugField')(unique=True, max_length=100)),
            ('place', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('event_date_start', self.gf('django.db.models.fields.DateTimeField')()),
            ('event_date_end', self.gf('django.db.models.fields.DateTimeField')()),
            ('event_adhesion_deadline', self.gf('django.db.models.fields.DateTimeField')()),
            ('landing_page_template', self.gf('django.db.models.fields.CharField')(max_length=250)),
            ('default_language', self.gf('django.db.models.fields.related.ForeignKey')(related_name='events', to=orm['i18n.Language'])),
            ('enable_own', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('enable_free', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('enable_delegate', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('enable_personalized_program', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('enable_ics', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('start_step', self.gf('django.db.models.fields.CharField')(default='presentation', max_length=20)),
            ('ask_phone', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('phone_question_type', self.gf('django.db.models.fields.CharField')(max_length=20, null=True, blank=True)),
            ('ask_address', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('address_question_type', self.gf('django.db.models.fields.CharField')(max_length=20, null=True, blank=True)),
            ('ask_id_card', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('ask_passport', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('ask_license', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('ask_press_card_number', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('ask_frequent_flyer', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('frequent_flyer_question_type', self.gf('django.db.models.fields.CharField')(max_length=20, null=True, blank=True)),
            ('ask_food_hotel_preferences', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('ask_clothing', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('ask_body_measurements', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('ask_ski', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('show_breadcrumbs', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('breadcrumbs_position', self.gf('django.db.models.fields.CharField')(default='top', max_length=20)),
            ('show_presentation', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('show_schedule', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('show_adhesion', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('show_register', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('show_transport', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('show_activity', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('show_summary', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('show_decline', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('show_delegate', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('show_documents', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('show_greetings', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('ask_poll_on_followup', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('header_color', self.gf(u'colorful.fields.RGBColorField')()),
        ))
        db.send_create_signal(u'event', ['Event'])

        # Adding M2M table for field documents on 'Event'
        m2m_table_name = db.shorten_name(u'event_event_documents')
        db.create_table(m2m_table_name, (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('event', models.ForeignKey(orm[u'event.event'], null=False)),
            ('eventdocument', models.ForeignKey(orm[u'event.eventdocument'], null=False))
        ))
        db.create_unique(m2m_table_name, ['event_id', 'eventdocument_id'])

        # Adding model 'Invite'
        db.create_table(u'event_invite', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_invite_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_invite_last_modifier', null=True, to=orm['auth.User'])),
            ('status', self.gf('django.db.models.fields.IntegerField')(default=0, null=True, blank=True)),
            ('event', self.gf('django.db.models.fields.related.ForeignKey')(related_name='invites', to=orm['event.Event'])),
            ('contact', self.gf('django.db.models.fields.related.ForeignKey')(related_name='invites', to=orm['event.Contact'])),
            ('step', self.gf('django.db.models.fields.CharField')(default='presentation', max_length=20)),
            ('no_show', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('sent', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('managed', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('note', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('turn_preference', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='preference_invites', null=True, to=orm['event.Turn'])),
        ))
        db.send_create_signal(u'event', ['Invite'])

        # Adding unique constraint on 'Invite', fields ['event', 'contact']
        db.create_unique(u'event_invite', ['event_id', 'contact_id'])

        # Adding model 'InviteEmailObject'
        db.create_table(u'event_inviteemailobject', (
            (u'emailobject_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['mailer.EmailObject'], unique=True, primary_key=True)),
            ('invite', self.gf('django.db.models.fields.related.ForeignKey')(related_name='email_objects', to=orm['event.Invite'])),
        ))
        db.send_create_signal(u'event', ['InviteEmailObject'])

        # Adding model 'FollowUpEmailObject'
        db.create_table(u'event_followupemailobject', (
            (u'emailobject_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['mailer.EmailObject'], unique=True, primary_key=True)),
            ('invite', self.gf('django.db.models.fields.related.ForeignKey')(related_name='follow_up_email_objects', to=orm['event.Invite'])),
        ))
        db.send_create_signal(u'event', ['FollowUpEmailObject'])

        # Adding model 'DocumentCategory'
        db.create_table(u'event_documentcategory', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_documentcategory_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_documentcategory_last_modifier', null=True, to=orm['auth.User'])),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=100)),
        ))
        db.send_create_signal(u'event', ['DocumentCategory'])

        # Adding model 'Document'
        db.create_table(u'event_document', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_document_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_document_last_modifier', null=True, to=orm['auth.User'])),
            ('category', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['event.DocumentCategory'])),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=100)),
            ('document', self.gf('django.db.models.fields.files.FileField')(max_length=100)),
        ))
        db.send_create_signal(u'event', ['Document'])

        # Adding model 'EventDocument'
        db.create_table(u'event_eventdocument', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('status', self.gf('django.db.models.fields.IntegerField')(default=1, null=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_eventdocument_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_eventdocument_last_modifier', null=True, to=orm['auth.User'])),
            ('event', self.gf('django.db.models.fields.related.ForeignKey')(related_name='event_documents', to=orm['event.Event'])),
            ('document', self.gf('django.db.models.fields.related.ForeignKey')(related_name='event_documents', to=orm['event.Document'])),
        ))
        db.send_create_signal(u'event', ['EventDocument'])

        # Adding model 'Signature'
        db.create_table(u'event_signature', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_signature_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_signature_last_modifier', null=True, to=orm['auth.User'])),
            ('language', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['i18n.Language'])),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('title', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('company', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
            ('signature', self.gf('django.db.models.fields.files.ImageField')(max_length=100)),
            ('email', self.gf('django.db.models.fields.EmailField')(max_length=75, null=True, blank=True)),
        ))
        db.send_create_signal(u'event', ['Signature'])

        # Adding model 'EventSummaryDocumentTemplate'
        db.create_table(u'event_eventsummarydocumenttemplate', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_eventsummarydocumenttemplate_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_eventsummarydocumenttemplate_last_modifier', null=True, to=orm['auth.User'])),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=255)),
            ('language', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['i18n.Language'])),
            ('template', self.gf('django.db.models.fields.files.FileField')(max_length=100)),
            ('header_image', self.gf('django.db.models.fields.files.ImageField')(max_length=100)),
            ('body_image', self.gf('django.db.models.fields.files.ImageField')(max_length=100)),
        ))
        db.send_create_signal(u'event', ['EventSummaryDocumentTemplate'])

        # Adding model 'EventTemplate'
        db.create_table(u'event_eventtemplate', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_eventtemplate_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_eventtemplate_last_modifier', null=True, to=orm['auth.User'])),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=255)),
            ('file', self.gf('django.db.models.fields.files.FileField')(max_length=100)),
        ))
        db.send_create_signal(u'event', ['EventTemplate'])

        # Adding model 'EventTranslation'
        db.create_table(u'event_eventtranslation', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('status', self.gf('django.db.models.fields.IntegerField')(default=1, null=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_eventtranslation_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_eventtranslation_last_modifier', null=True, to=orm['auth.User'])),
            ('event', self.gf('django.db.models.fields.related.ForeignKey')(related_name='translations', to=orm['event.Event'])),
            ('header_image', self.gf('django.db.models.fields.files.ImageField')(max_length=100)),
            ('footer_image', self.gf('django.db.models.fields.files.ImageField')(max_length=100, null=True, blank=True)),
            ('language', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['i18n.Language'])),
            ('title', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('web_body', self.gf('ckeditor.fields.RichTextField')()),
            ('email_body', self.gf('ckeditor.fields.RichTextField')()),
            ('email_from', self.gf('django.db.models.fields.EmailField')(default='rsvp@publieditor.net', max_length=75)),
            ('email_from_name', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('header_reply', self.gf('django.db.models.fields.EmailField')(max_length=255, null=True, blank=True)),
            ('note', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('css', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('left_signature', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='translations_left', null=True, to=orm['event.Signature'])),
            ('right_signature', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='translations_right', null=True, to=orm['event.Signature'])),
            ('bmw_external_images', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
        ))
        db.send_create_signal(u'event', ['EventTranslation'])

        # Adding unique constraint on 'EventTranslation', fields ['event', 'language']
        db.create_unique(u'event_eventtranslation', ['event_id', 'language_id'])

        # Adding model 'AdhesionTranslation'
        db.create_table(u'event_adhesiontranslation', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('status', self.gf('django.db.models.fields.IntegerField')(default=1, null=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_adhesiontranslation_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_adhesiontranslation_last_modifier', null=True, to=orm['auth.User'])),
            ('event', self.gf('django.db.models.fields.related.ForeignKey')(related_name='adhesion_translations', to=orm['event.Event'])),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('language', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['i18n.Language'])),
            ('body', self.gf('ckeditor.fields.RichTextField')()),
        ))
        db.send_create_signal(u'event', ['AdhesionTranslation'])

        # Adding unique constraint on 'AdhesionTranslation', fields ['event', 'language']
        db.create_unique(u'event_adhesiontranslation', ['event_id', 'language_id'])

        # Adding model 'ScheduleTranslation'
        db.create_table(u'event_scheduletranslation', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('status', self.gf('django.db.models.fields.IntegerField')(default=1, null=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_scheduletranslation_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_scheduletranslation_last_modifier', null=True, to=orm['auth.User'])),
            ('event', self.gf('django.db.models.fields.related.ForeignKey')(related_name='schedule_translations', to=orm['event.Event'])),
            ('language', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['i18n.Language'])),
            ('body', self.gf('ckeditor.fields.RichTextField')()),
        ))
        db.send_create_signal(u'event', ['ScheduleTranslation'])

        # Adding unique constraint on 'ScheduleTranslation', fields ['event', 'language']
        db.create_unique(u'event_scheduletranslation', ['event_id', 'language_id'])

        # Adding model 'FollowUpTranslation'
        db.create_table(u'event_followuptranslation', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('status', self.gf('django.db.models.fields.IntegerField')(default=1, null=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_followuptranslation_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_followuptranslation_last_modifier', null=True, to=orm['auth.User'])),
            ('event', self.gf('django.db.models.fields.related.ForeignKey')(related_name='followup_translations', to=orm['event.Event'])),
            ('language', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['i18n.Language'])),
            ('body', self.gf('ckeditor.fields.RichTextField')()),
        ))
        db.send_create_signal(u'event', ['FollowUpTranslation'])

        # Adding unique constraint on 'FollowUpTranslation', fields ['event', 'language']
        db.create_unique(u'event_followuptranslation', ['event_id', 'language_id'])

        # Adding model 'TransportTranslation'
        db.create_table(u'event_transporttranslation', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('status', self.gf('django.db.models.fields.IntegerField')(default=1, null=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_transporttranslation_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_transporttranslation_last_modifier', null=True, to=orm['auth.User'])),
            ('transport', self.gf('django.db.models.fields.related.ForeignKey')(related_name='translations', to=orm['event.Transport'])),
            ('language', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['i18n.Language'])),
            ('description', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
        ))
        db.send_create_signal(u'event', ['TransportTranslation'])

        # Adding unique constraint on 'TransportTranslation', fields ['transport', 'language']
        db.create_unique(u'event_transporttranslation', ['transport_id', 'language_id'])

        # Adding model 'PrivacyTranslation'
        db.create_table(u'event_privacytranslation', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('status', self.gf('django.db.models.fields.IntegerField')(default=1, null=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_privacytranslation_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_privacytranslation_last_modifier', null=True, to=orm['auth.User'])),
            ('event', self.gf('django.db.models.fields.related.ForeignKey')(related_name='privacy_translations', to=orm['event.Event'])),
            ('language', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['i18n.Language'])),
            ('body', self.gf('ckeditor.fields.RichTextField')()),
        ))
        db.send_create_signal(u'event', ['PrivacyTranslation'])

        # Adding unique constraint on 'PrivacyTranslation', fields ['event', 'language']
        db.create_unique(u'event_privacytranslation', ['event_id', 'language_id'])

        # Adding model 'GreetingsTranslation'
        db.create_table(u'event_greetingstranslation', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('status', self.gf('django.db.models.fields.IntegerField')(default=1, null=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_greetingstranslation_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_greetingstranslation_last_modifier', null=True, to=orm['auth.User'])),
            ('event', self.gf('django.db.models.fields.related.ForeignKey')(related_name='greetings_translations', to=orm['event.Event'])),
            ('invite_status', self.gf('django.db.models.fields.IntegerField')()),
            ('language', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['i18n.Language'])),
            ('body', self.gf('ckeditor.fields.RichTextField')()),
        ))
        db.send_create_signal(u'event', ['GreetingsTranslation'])

        # Adding unique constraint on 'GreetingsTranslation', fields ['event', 'invite_status', 'language']
        db.create_unique(u'event_greetingstranslation', ['event_id', 'invite_status', 'language_id'])

        # Adding model 'EventTravelOption'
        db.create_table(u'event_eventtraveloption', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_eventtraveloption_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_eventtraveloption_last_modifier', null=True, to=orm['auth.User'])),
            ('event', self.gf('django.db.models.fields.related.ForeignKey')(related_name='travel_options', to=orm['event.Event'])),
            ('turn', self.gf('django.db.models.fields.related.ForeignKey')(related_name='travel_options', to=orm['event.Turn'])),
            ('start_place', self.gf('django.db.models.fields.related.ForeignKey')(related_name='travel_options', to=orm['event.EventStartPlace'])),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100)),
        ))
        db.send_create_signal(u'event', ['EventTravelOption'])

        # Adding model 'InviteDecisionAnswer'
        db.create_table(u'event_invitedecisionanswer', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('invite', self.gf('django.db.models.fields.related.ForeignKey')(related_name='decision_answers', to=orm['event.Invite'])),
            ('status', self.gf('django.db.models.fields.IntegerField')()),
        ))
        db.send_create_signal(u'event', ['InviteDecisionAnswer'])

        # Adding model 'InviteTravelOptionAnswer'
        db.create_table(u'event_invitetraveloptionanswer', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_invitetraveloptionanswer_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_invitetraveloptionanswer_last_modifier', null=True, to=orm['auth.User'])),
            ('invite', self.gf('django.db.models.fields.related.ForeignKey')(related_name='travel_option_answers', to=orm['event.Invite'])),
            ('event_travel_option', self.gf('django.db.models.fields.related.ForeignKey')(related_name='invite_answers', to=orm['event.EventTravelOption'])),
        ))
        db.send_create_signal(u'event', ['InviteTravelOptionAnswer'])

        # Adding model 'Turn'
        db.create_table(u'event_turn', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('status', self.gf('django.db.models.fields.IntegerField')(default=1, null=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_turn_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_turn_last_modifier', null=True, to=orm['auth.User'])),
            ('code', self.gf('django.db.models.fields.CharField')(max_length=1)),
            ('title', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('event', self.gf('django.db.models.fields.related.ForeignKey')(related_name='turns', to=orm['event.Event'])),
            ('turn_start', self.gf('django.db.models.fields.DateTimeField')()),
            ('turn_end', self.gf('django.db.models.fields.DateTimeField')()),
            ('maximum_participants', self.gf('django.db.models.fields.PositiveIntegerField')(null=True, blank=True)),
        ))
        db.send_create_signal(u'event', ['Turn'])

        # Adding unique constraint on 'Turn', fields ['code', 'event']
        db.create_unique(u'event_turn', ['code', 'event_id'])

        # Adding model 'EventStartPlace'
        db.create_table(u'event_eventstartplace', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('status', self.gf('django.db.models.fields.IntegerField')(default=1, null=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_eventstartplace_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_eventstartplace_last_modifier', null=True, to=orm['auth.User'])),
            ('event', self.gf('django.db.models.fields.related.ForeignKey')(related_name='start_places', to=orm['event.Event'])),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100)),
        ))
        db.send_create_signal(u'event', ['EventStartPlace'])

        # Adding model 'Stage'
        db.create_table(u'event_stage', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('status', self.gf('django.db.models.fields.IntegerField')(default=1, null=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_stage_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_stage_last_modifier', null=True, to=orm['auth.User'])),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=100)),
        ))
        db.send_create_signal(u'event', ['Stage'])

        # Adding model 'Transport'
        db.create_table(u'event_transport', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('status', self.gf('django.db.models.fields.IntegerField')(default=1, null=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_transport_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_transport_last_modifier', null=True, to=orm['auth.User'])),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=100)),
        ))
        db.send_create_signal(u'event', ['Transport'])

        # Adding model 'TransportDetail'
        db.create_table(u'event_transportdetail', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_transportdetail_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_transportdetail_last_modifier', null=True, to=orm['auth.User'])),
            ('event_travel_option', self.gf('django.db.models.fields.related.ForeignKey')(related_name='transport_details', to=orm['event.EventTravelOption'])),
            ('direction', self.gf('django.db.models.fields.CharField')(max_length=1)),
            ('departure', self.gf('django.db.models.fields.DateTimeField')()),
            ('arrival', self.gf('django.db.models.fields.DateTimeField')()),
        ))
        db.send_create_signal(u'event', ['TransportDetail'])

        # Adding model 'FlightDetail'
        db.create_table(u'event_flightdetail', (
            (u'transportdetail_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['event.TransportDetail'], unique=True, primary_key=True)),
            ('flight', self.gf('django.db.models.fields.related.ForeignKey')(related_name='flight_details', to=orm['event.Flight'])),
        ))
        db.send_create_signal(u'event', ['FlightDetail'])

        # Adding model 'Flight'
        db.create_table(u'event_flight', (
            (u'transport_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['event.Transport'], unique=True, primary_key=True)),
            ('number', self.gf('django.db.models.fields.CharField')(unique=True, max_length=10)),
            ('code', self.gf('django.db.models.fields.CharField')(max_length=10, null=True, blank=True)),
            ('dep_airport', self.gf('django.db.models.fields.related.ForeignKey')(related_name='departure_flights', to=orm['event.Airport'])),
            ('arr_airport', self.gf('django.db.models.fields.related.ForeignKey')(related_name='arrival_flights', to=orm['event.Airport'])),
            ('airline', self.gf('django.db.models.fields.related.ForeignKey')(related_name='flights', to=orm['event.Airline'])),
            ('departure', self.gf('django.db.models.fields.TimeField')()),
            ('arrival', self.gf('django.db.models.fields.TimeField')()),
            ('duration', self.gf('django.db.models.fields.TimeField')(null=True, blank=True)),
            ('day_after', self.gf('django.db.models.fields.BooleanField')(default=False)),
        ))
        db.send_create_signal(u'event', ['Flight'])

        # Adding model 'Airline'
        db.create_table(u'event_airline', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('status', self.gf('django.db.models.fields.IntegerField')(default=1, null=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_airline_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_airline_last_modifier', null=True, to=orm['auth.User'])),
            ('iata_code', self.gf('django.db.models.fields.CharField')(max_length=3)),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=100)),
        ))
        db.send_create_signal(u'event', ['Airline'])

        # Adding model 'Airport'
        db.create_table(u'event_airport', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('status', self.gf('django.db.models.fields.IntegerField')(default=1, null=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_airport_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_airport_last_modifier', null=True, to=orm['auth.User'])),
            ('iata_code', self.gf('django.db.models.fields.CharField')(unique=True, max_length=3)),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=100)),
            ('place', self.gf('django.db.models.fields.CharField')(max_length=100, null=True, blank=True)),
        ))
        db.send_create_signal(u'event', ['Airport'])

        # Adding model 'TrainDetail'
        db.create_table(u'event_traindetail', (
            (u'transportdetail_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['event.TransportDetail'], unique=True, primary_key=True)),
            ('train', self.gf('django.db.models.fields.related.ForeignKey')(related_name='train_details', to=orm['event.Train'])),
        ))
        db.send_create_signal(u'event', ['TrainDetail'])

        # Adding model 'Train'
        db.create_table(u'event_train', (
            (u'transport_ptr', self.gf('django.db.models.fields.related.OneToOneField')(to=orm['event.Transport'], unique=True, primary_key=True)),
            ('number', self.gf('django.db.models.fields.CharField')(unique=True, max_length=10)),
            ('code', self.gf('django.db.models.fields.CharField')(max_length=10, null=True, blank=True)),
            ('dep_station', self.gf('django.db.models.fields.related.ForeignKey')(related_name='departure_railways', to=orm['event.Station'])),
            ('arr_station', self.gf('django.db.models.fields.related.ForeignKey')(related_name='arrival_railways', to=orm['event.Station'])),
            ('train_type', self.gf('django.db.models.fields.related.ForeignKey')(related_name='railways', to=orm['event.TrainType'])),
            ('departure', self.gf('django.db.models.fields.TimeField')()),
            ('arrival', self.gf('django.db.models.fields.TimeField')()),
            ('duration', self.gf('django.db.models.fields.TimeField')(null=True, blank=True)),
            ('day_after', self.gf('django.db.models.fields.BooleanField')(default=False)),
        ))
        db.send_create_signal(u'event', ['Train'])

        # Adding model 'TrainType'
        db.create_table(u'event_traintype', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('status', self.gf('django.db.models.fields.IntegerField')(default=1, null=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_traintype_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_traintype_last_modifier', null=True, to=orm['auth.User'])),
            ('code', self.gf('django.db.models.fields.CharField')(max_length=5)),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=100)),
        ))
        db.send_create_signal(u'event', ['TrainType'])

        # Adding model 'Station'
        db.create_table(u'event_station', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('status', self.gf('django.db.models.fields.IntegerField')(default=1, null=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_station_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_station_last_modifier', null=True, to=orm['auth.User'])),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=100)),
            ('place', self.gf('django.db.models.fields.CharField')(max_length=100)),
        ))
        db.send_create_signal(u'event', ['Station'])

        # Adding model 'TransportAnswer'
        db.create_table(u'event_transportanswer', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_transportanswer_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_transportanswer_last_modifier', null=True, to=orm['auth.User'])),
            ('transport_detail', self.gf('django.db.models.fields.related.ForeignKey')(related_name='transport_answers', to=orm['event.TransportDetail'])),
            ('invite', self.gf('django.db.models.fields.related.ForeignKey')(related_name='transport_answers', to=orm['event.Invite'])),
        ))
        db.send_create_signal(u'event', ['TransportAnswer'])

        # Adding model 'EventQuestion'
        db.create_table(u'event_eventquestion', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_eventquestion_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_eventquestion_last_modifier', null=True, to=orm['auth.User'])),
            ('event', self.gf('django.db.models.fields.related.ForeignKey')(related_name='questions', to=orm['event.Event'])),
            ('question', self.gf('django.db.models.fields.related.ForeignKey')(related_name='event_questions', to=orm['survey.Question'])),
            ('enabled', self.gf('django.db.models.fields.BooleanField')(default=True)),
            ('required', self.gf('django.db.models.fields.BooleanField')(default=False)),
        ))
        db.send_create_signal(u'event', ['EventQuestion'])

        # Adding model 'RegisterAnswer'
        db.create_table(u'event_registeranswer', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_registeranswer_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_registeranswer_last_modifier', null=True, to=orm['auth.User'])),
            ('question', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['survey.Question'])),
            ('answer', self.gf('django.db.models.fields.TextField')()),
            ('submission_date', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('invite', self.gf('django.db.models.fields.related.ForeignKey')(related_name='register_answers', to=orm['event.Invite'])),
        ))
        db.send_create_signal(u'event', ['RegisterAnswer'])

        # Adding model 'ActivityAnswer'
        db.create_table(u'event_activityanswer', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_activityanswer_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_activityanswer_last_modifier', null=True, to=orm['auth.User'])),
            ('question', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['survey.Question'])),
            ('answer', self.gf('django.db.models.fields.TextField')()),
            ('submission_date', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('invite', self.gf('django.db.models.fields.related.ForeignKey')(related_name='activity_answers', to=orm['event.Invite'])),
        ))
        db.send_create_signal(u'event', ['ActivityAnswer'])

        # Adding model 'PollAnswer'
        db.create_table(u'event_pollanswer', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_pollanswer_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_pollanswer_last_modifier', null=True, to=orm['auth.User'])),
            ('question', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['survey.Question'])),
            ('answer', self.gf('django.db.models.fields.TextField')()),
            ('submission_date', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('invite', self.gf('django.db.models.fields.related.ForeignKey')(related_name='poll_answers', to=orm['event.Invite'])),
        ))
        db.send_create_signal(u'event', ['PollAnswer'])

        # Adding model 'FreeAnswer'
        db.create_table(u'event_freeanswer', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_freeanswer_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_freeanswer_last_modifier', null=True, to=orm['auth.User'])),
            ('invite', self.gf('django.db.models.fields.related.ForeignKey')(related_name='free_answers', to=orm['event.Invite'])),
            ('answer', self.gf('django.db.models.fields.TextField')()),
        ))
        db.send_create_signal(u'event', ['FreeAnswer'])

        # Adding model 'DeclineAnswer'
        db.create_table(u'event_declineanswer', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_declineanswer_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_declineanswer_last_modifier', null=True, to=orm['auth.User'])),
            ('question', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['survey.Question'])),
            ('answer', self.gf('django.db.models.fields.TextField')()),
            ('submission_date', self.gf('django.db.models.fields.DateTimeField')(auto_now=True, blank=True)),
            ('invite', self.gf('django.db.models.fields.related.ForeignKey')(related_name='decline_answers', to=orm['event.Invite'])),
        ))
        db.send_create_signal(u'event', ['DeclineAnswer'])

        # Adding model 'OwnAnswer'
        db.create_table(u'event_ownanswer', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_ownanswer_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_ownanswer_last_modifier', null=True, to=orm['auth.User'])),
            ('invite', self.gf('django.db.models.fields.related.ForeignKey')(related_name='own_answers', to=orm['event.Invite'])),
        ))
        db.send_create_signal(u'event', ['OwnAnswer'])

        # Adding model 'DelegatedContact'
        db.create_table(u'event_delegatedcontact', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_delegatedcontact_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_delegatedcontact_last_modifier', null=True, to=orm['auth.User'])),
            ('invited', self.gf('django.db.models.fields.related.ForeignKey')(related_name='delegated_invites', to=orm['event.Contact'])),
            ('invite', self.gf('django.db.models.fields.related.ForeignKey')(related_name='delegated_invites', to=orm['event.Invite'])),
            ('title', self.gf('django.db.models.fields.CharField')(max_length=10)),
            ('first_name', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('last_name', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('email', self.gf('django.db.models.fields.EmailField')(max_length=75)),
            ('phone_number', self.gf('django.db.models.fields.CharField')(max_length=50)),
            ('managed', self.gf('django.db.models.fields.BooleanField')(default=False)),
        ))
        db.send_create_signal(u'event', ['DelegatedContact'])

        # Adding model 'AreaCode'
        db.create_table(u'event_areacode', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('creator', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_areacode_creator', null=True, to=orm['auth.User'])),
            ('last_modifier', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name=u'event_areacode_last_modifier', null=True, to=orm['auth.User'])),
            ('area', self.gf('django.db.models.fields.CharField')(max_length=100)),
            ('code', self.gf('django.db.models.fields.CharField')(max_length=25)),
        ))
        db.send_create_signal(u'event', ['AreaCode'])

        # Adding model 'EventImage'
        db.create_table(u'event_eventimage', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('ordering', self.gf('django.db.models.fields.IntegerField')(default=0)),
            ('event_image', self.gf('django.db.models.fields.related.ForeignKey')(related_name='event_images', to=orm['event.Event'])),
            ('photo_id', self.gf('django.db.models.fields.CharField')(max_length=255)),
            ('image_size', self.gf('django.db.models.fields.PositiveIntegerField')(db_index=True)),
            ('title', self.gf('django.db.models.fields.CharField')(max_length=255, null=True, blank=True)),
            ('description', self.gf('django.db.models.fields.TextField')(null=True, blank=True)),
            ('width', self.gf('django.db.models.fields.PositiveIntegerField')(null=True, blank=True)),
            ('height', self.gf('django.db.models.fields.PositiveIntegerField')(null=True, blank=True)),
            ('weigth', self.gf('django.db.models.fields.PositiveIntegerField')(null=True, blank=True)),
        ))
        db.send_create_signal(u'event', ['EventImage'])

        # Adding unique constraint on 'EventImage', fields ['photo_id', 'event_image']
        db.create_unique(u'event_eventimage', ['photo_id', 'event_image_id'])

        # Adding index on 'EventImage', fields ['ordering', u'id']
        db.create_index(u'event_eventimage', ['ordering', u'id'])

        # Adding model 'EventTranslationPreference'
        db.create_table(u'event_eventtranslationpreference', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('date_create', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('date_last_modify', self.gf('django.db.models.fields.DateTimeField')(null=True, blank=True)),
            ('user', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='event_translation_preferences', null=True, to=orm['auth.User'])),
            ('invite', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='translation_preferences', null=True, to=orm['event.Invite'])),
            ('event', self.gf('django.db.models.fields.related.ForeignKey')(related_name='translation_preferences', to=orm['event.Event'])),
            ('language', self.gf('django.db.models.fields.related.ForeignKey')(related_name='event_translation_preferences', to=orm['i18n.Language'])),
        ))
        db.send_create_signal(u'event', ['EventTranslationPreference'])


    def backwards(self, orm):
        # Removing index on 'EventImage', fields ['ordering', u'id']
        db.delete_index(u'event_eventimage', ['ordering', u'id'])

        # Removing unique constraint on 'EventImage', fields ['photo_id', 'event_image']
        db.delete_unique(u'event_eventimage', ['photo_id', 'event_image_id'])

        # Removing unique constraint on 'Turn', fields ['code', 'event']
        db.delete_unique(u'event_turn', ['code', 'event_id'])

        # Removing unique constraint on 'GreetingsTranslation', fields ['event', 'invite_status', 'language']
        db.delete_unique(u'event_greetingstranslation', ['event_id', 'invite_status', 'language_id'])

        # Removing unique constraint on 'PrivacyTranslation', fields ['event', 'language']
        db.delete_unique(u'event_privacytranslation', ['event_id', 'language_id'])

        # Removing unique constraint on 'TransportTranslation', fields ['transport', 'language']
        db.delete_unique(u'event_transporttranslation', ['transport_id', 'language_id'])

        # Removing unique constraint on 'FollowUpTranslation', fields ['event', 'language']
        db.delete_unique(u'event_followuptranslation', ['event_id', 'language_id'])

        # Removing unique constraint on 'ScheduleTranslation', fields ['event', 'language']
        db.delete_unique(u'event_scheduletranslation', ['event_id', 'language_id'])

        # Removing unique constraint on 'AdhesionTranslation', fields ['event', 'language']
        db.delete_unique(u'event_adhesiontranslation', ['event_id', 'language_id'])

        # Removing unique constraint on 'EventTranslation', fields ['event', 'language']
        db.delete_unique(u'event_eventtranslation', ['event_id', 'language_id'])

        # Removing unique constraint on 'Invite', fields ['event', 'contact']
        db.delete_unique(u'event_invite', ['event_id', 'contact_id'])

        # Removing unique constraint on 'Membership', fields ['newspaper', 'contact']
        db.delete_unique(u'event_membership', ['newspaper_id', 'contact_id'])

        # Deleting model 'MailingList'
        db.delete_table(u'event_mailinglist')

        # Deleting model 'Organization'
        db.delete_table(u'event_organization')

        # Deleting model 'License'
        db.delete_table(u'event_license')

        # Deleting model 'Contact'
        db.delete_table(u'event_contact')

        # Removing M2M table for field groups on 'Contact'
        db.delete_table(db.shorten_name(u'event_contact_groups'))

        # Removing M2M table for field license_types on 'Contact'
        db.delete_table(db.shorten_name(u'event_contact_license_types'))

        # Deleting model 'Agent'
        db.delete_table(u'event_agent')

        # Deleting model 'ContactGroup'
        db.delete_table(u'event_contactgroup')

        # Deleting model 'Role'
        db.delete_table(u'event_role')

        # Deleting model 'NewspaperCategory'
        db.delete_table(u'event_newspapercategory')

        # Deleting model 'NewspaperType'
        db.delete_table(u'event_newspapertype')

        # Deleting model 'NewspaperSector'
        db.delete_table(u'event_newspapersector')

        # Deleting model 'Newspaper'
        db.delete_table(u'event_newspaper')

        # Removing M2M table for field types on 'Newspaper'
        db.delete_table(db.shorten_name(u'event_newspaper_types'))

        # Removing M2M table for field categories on 'Newspaper'
        db.delete_table(db.shorten_name(u'event_newspaper_categories'))

        # Removing M2M table for field sectors on 'Newspaper'
        db.delete_table(db.shorten_name(u'event_newspaper_sectors'))

        # Deleting model 'Card'
        db.delete_table(u'event_card')

        # Deleting model 'Membership'
        db.delete_table(u'event_membership')

        # Deleting model 'ContactEmailCc'
        db.delete_table(u'event_contactemailcc')

        # Deleting model 'Phone'
        db.delete_table(u'event_phone')

        # Deleting model 'ContactAddress'
        db.delete_table(u'event_contactaddress')

        # Removing M2M table for field address_scopes on 'ContactAddress'
        db.delete_table(db.shorten_name(u'event_contactaddress_address_scopes'))

        # Deleting model 'Event'
        db.delete_table(u'event_event')

        # Removing M2M table for field documents on 'Event'
        db.delete_table(db.shorten_name(u'event_event_documents'))

        # Deleting model 'Invite'
        db.delete_table(u'event_invite')

        # Deleting model 'InviteEmailObject'
        db.delete_table(u'event_inviteemailobject')

        # Deleting model 'FollowUpEmailObject'
        db.delete_table(u'event_followupemailobject')

        # Deleting model 'DocumentCategory'
        db.delete_table(u'event_documentcategory')

        # Deleting model 'Document'
        db.delete_table(u'event_document')

        # Deleting model 'EventDocument'
        db.delete_table(u'event_eventdocument')

        # Deleting model 'Signature'
        db.delete_table(u'event_signature')

        # Deleting model 'EventSummaryDocumentTemplate'
        db.delete_table(u'event_eventsummarydocumenttemplate')

        # Deleting model 'EventTemplate'
        db.delete_table(u'event_eventtemplate')

        # Deleting model 'EventTranslation'
        db.delete_table(u'event_eventtranslation')

        # Deleting model 'AdhesionTranslation'
        db.delete_table(u'event_adhesiontranslation')

        # Deleting model 'ScheduleTranslation'
        db.delete_table(u'event_scheduletranslation')

        # Deleting model 'FollowUpTranslation'
        db.delete_table(u'event_followuptranslation')

        # Deleting model 'TransportTranslation'
        db.delete_table(u'event_transporttranslation')

        # Deleting model 'PrivacyTranslation'
        db.delete_table(u'event_privacytranslation')

        # Deleting model 'GreetingsTranslation'
        db.delete_table(u'event_greetingstranslation')

        # Deleting model 'EventTravelOption'
        db.delete_table(u'event_eventtraveloption')

        # Deleting model 'InviteDecisionAnswer'
        db.delete_table(u'event_invitedecisionanswer')

        # Deleting model 'InviteTravelOptionAnswer'
        db.delete_table(u'event_invitetraveloptionanswer')

        # Deleting model 'Turn'
        db.delete_table(u'event_turn')

        # Deleting model 'EventStartPlace'
        db.delete_table(u'event_eventstartplace')

        # Deleting model 'Stage'
        db.delete_table(u'event_stage')

        # Deleting model 'Transport'
        db.delete_table(u'event_transport')

        # Deleting model 'TransportDetail'
        db.delete_table(u'event_transportdetail')

        # Deleting model 'FlightDetail'
        db.delete_table(u'event_flightdetail')

        # Deleting model 'Flight'
        db.delete_table(u'event_flight')

        # Deleting model 'Airline'
        db.delete_table(u'event_airline')

        # Deleting model 'Airport'
        db.delete_table(u'event_airport')

        # Deleting model 'TrainDetail'
        db.delete_table(u'event_traindetail')

        # Deleting model 'Train'
        db.delete_table(u'event_train')

        # Deleting model 'TrainType'
        db.delete_table(u'event_traintype')

        # Deleting model 'Station'
        db.delete_table(u'event_station')

        # Deleting model 'TransportAnswer'
        db.delete_table(u'event_transportanswer')

        # Deleting model 'EventQuestion'
        db.delete_table(u'event_eventquestion')

        # Deleting model 'RegisterAnswer'
        db.delete_table(u'event_registeranswer')

        # Deleting model 'ActivityAnswer'
        db.delete_table(u'event_activityanswer')

        # Deleting model 'PollAnswer'
        db.delete_table(u'event_pollanswer')

        # Deleting model 'FreeAnswer'
        db.delete_table(u'event_freeanswer')

        # Deleting model 'DeclineAnswer'
        db.delete_table(u'event_declineanswer')

        # Deleting model 'OwnAnswer'
        db.delete_table(u'event_ownanswer')

        # Deleting model 'DelegatedContact'
        db.delete_table(u'event_delegatedcontact')

        # Deleting model 'AreaCode'
        db.delete_table(u'event_areacode')

        # Deleting model 'EventImage'
        db.delete_table(u'event_eventimage')

        # Deleting model 'EventTranslationPreference'
        db.delete_table(u'event_eventtranslationpreference')


    models = {
        u'address.addressscope': {
            'Meta': {'object_name': 'AddressScope'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'address_addressscope_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_invoice_address': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_shipping_address': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'address_addressscope_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100', 'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'})
        },
        u'auth.group': {
            'Meta': {'object_name': 'Group'},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '80'}),
            'permissions': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['auth.Permission']", 'symmetrical': 'False', 'blank': 'True'})
        },
        u'auth.permission': {
            'Meta': {'ordering': "(u'content_type__app_label', u'content_type__model', u'codename')", 'unique_together': "((u'content_type', u'codename'),)", 'object_name': 'Permission'},
            'codename': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'content_type': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['contenttypes.ContentType']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '50'})
        },
        u'auth.user': {
            'Meta': {'object_name': 'User'},
            'date_joined': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'blank': 'True'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'related_name': "u'user_set'", 'blank': 'True', 'to': u"orm['auth.Group']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'is_staff': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'is_superuser': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_login': ('django.db.models.fields.DateTimeField', [], {'default': 'datetime.datetime.now'}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '30', 'blank': 'True'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128'}),
            'user_permissions': ('django.db.models.fields.related.ManyToManyField', [], {'symmetrical': 'False', 'related_name': "u'user_set'", 'blank': 'True', 'to': u"orm['auth.Permission']"}),
            'username': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '30'})
        },
        u'contenttypes.contenttype': {
            'Meta': {'ordering': "('name',)", 'unique_together': "(('app_label', 'model'),)", 'object_name': 'ContentType', 'db_table': "'django_content_type'"},
            'app_label': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'model': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        u'event.activityanswer': {
            'Meta': {'ordering': "('ordering',)", 'object_name': 'ActivityAnswer'},
            'answer': ('django.db.models.fields.TextField', [], {}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_activityanswer_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'invite': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'activity_answers'", 'to': u"orm['event.Invite']"}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_activityanswer_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'question': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['survey.Question']"}),
            'submission_date': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        u'event.adhesiontranslation': {
            'Meta': {'ordering': "('name', 'language')", 'unique_together': "(('event', 'language'),)", 'object_name': 'AdhesionTranslation'},
            'body': ('ckeditor.fields.RichTextField', [], {}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_adhesiontranslation_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'event': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'adhesion_translations'", 'to': u"orm['event.Event']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'language': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['i18n.Language']"}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_adhesiontranslation_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'})
        },
        u'event.agent': {
            'Meta': {'ordering': "('ordering', 'name')", 'object_name': 'Agent'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_agent_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_agent_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'})
        },
        u'event.airline': {
            'Meta': {'ordering': "('ordering', 'name')", 'object_name': 'Airline'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_airline_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'iata_code': ('django.db.models.fields.CharField', [], {'max_length': '3'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_airline_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'})
        },
        u'event.airport': {
            'Meta': {'ordering': "('ordering', 'name')", 'object_name': 'Airport'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_airport_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'iata_code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '3'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_airport_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'place': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'})
        },
        u'event.areacode': {
            'Meta': {'ordering': "('area',)", 'object_name': 'AreaCode'},
            'area': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'code': ('django.db.models.fields.CharField', [], {'max_length': '25'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_areacode_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_areacode_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"})
        },
        u'event.card': {
            'Meta': {'ordering': "('ordering',)", 'object_name': 'Card'},
            'airline': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'cards'", 'null': 'True', 'to': u"orm['event.Airline']"}),
            'contact': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'cards'", 'to': u"orm['event.Contact']"}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_card_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'default': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'expiration_date': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_card_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'number': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'})
        },
        u'event.contact': {
            'Meta': {'ordering': "('-id',)", 'object_name': 'Contact'},
            'agent': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'contacts'", 'null': 'True', 'to': u"orm['event.Agent']"}),
            'birth_place': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'birthday': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'company': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_contact_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'elenco': ('django.db.models.fields.CharField', [], {'max_length': '50', 'null': 'True', 'blank': 'True'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'food': ('django.db.models.fields.CharField', [], {'max_length': '25', 'null': 'True', 'blank': 'True'}),
            'food_note': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'groups': ('django.db.models.fields.related.ManyToManyField', [], {'blank': 'True', 'related_name': "'contacts'", 'null': 'True', 'symmetrical': 'False', 'to': u"orm['event.ContactGroup']"}),
            'height': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'id_card_expiration_date': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'id_card_issue_date': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'id_card_number': ('django.db.models.fields.CharField', [], {'max_length': '25', 'null': 'True', 'blank': 'True'}),
            'id_card_scan': ('django.db.models.fields.files.ImageField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'internal_note': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'is_test_contact': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'language': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'contact_contacts'", 'to': u"orm['i18n.Language']"}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_contact_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'license_emitted_by': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'license_expiration_date': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'license_issue_date': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'license_number': ('django.db.models.fields.CharField', [], {'max_length': '25', 'null': 'True', 'blank': 'True'}),
            'license_scan': ('django.db.models.fields.files.ImageField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'license_types': ('django.db.models.fields.related.ManyToManyField', [], {'blank': 'True', 'related_name': "'contacts'", 'null': 'True', 'symmetrical': 'False', 'to': u"orm['event.License']"}),
            'note': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'passport_expiration_date': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'passport_issue_date': ('django.db.models.fields.DateField', [], {'null': 'True', 'blank': 'True'}),
            'passport_number': ('django.db.models.fields.CharField', [], {'max_length': '25', 'null': 'True', 'blank': 'True'}),
            'passport_scan': ('django.db.models.fields.files.ImageField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'photo': ('django.db.models.fields.files.ImageField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'press_card_number': ('django.db.models.fields.CharField', [], {'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'privacy_acceptance_date': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'shirt_size': ('django.db.models.fields.CharField', [], {'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'shoes_size': ('django.db.models.fields.CharField', [], {'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'ski': ('django.db.models.fields.CharField', [], {'max_length': '25', 'null': 'True', 'blank': 'True'}),
            'ski_boots_size': ('django.db.models.fields.CharField', [], {'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'ski_equipment': ('django.db.models.fields.CharField', [], {'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'ski_level': ('django.db.models.fields.CharField', [], {'max_length': '25', 'null': 'True', 'blank': 'True'}),
            'smoking': ('django.db.models.fields.CharField', [], {'max_length': '25', 'null': 'True', 'blank': 'True'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'}),
            'sweater_size': ('django.db.models.fields.CharField', [], {'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '10'}),
            'weight': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'})
        },
        u'event.contactaddress': {
            'Meta': {'ordering': "('ordering', 'name', 'number')", 'object_name': 'ContactAddress'},
            'address_scopes': ('django.db.models.fields.related.ManyToManyField', [], {'to': u"orm['address.AddressScope']", 'db_index': 'True', 'symmetrical': 'False'}),
            'address_type': ('django.db.models.fields.IntegerField', [], {'default': '7', 'null': 'True', 'db_index': 'True', 'blank': 'True'}),
            'contact': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'addresses'", 'to': u"orm['event.Contact']"}),
            'country': ('django.db.models.fields.related.ForeignKey', [], {'default': 'False', 'to': u"orm['l10n.Country']"}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_contactaddress_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'crossed': ('django.db.models.fields.CharField', [], {'max_length': '5', 'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'default': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'floor': ('django.db.models.fields.CharField', [], {'max_length': '3', 'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_contactaddress_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'locality': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100', 'db_index': 'True'}),
            'note': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'number': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'db_column': "'anumber'", 'blank': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'post_office': ('django.db.models.fields.CharField', [], {'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'province': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '2', 'null': 'True', 'blank': 'True'}),
            'scale': ('django.db.models.fields.CharField', [], {'max_length': '5', 'null': 'True', 'blank': 'True'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'}),
            'zip_code': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '20', 'null': 'True', 'blank': 'True'})
        },
        u'event.contactemailcc': {
            'Meta': {'object_name': 'ContactEmailCc'},
            'contact': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'cc_emails'", 'to': u"orm['event.Contact']"}),
            'contact_cc': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'cc_emails_for'", 'null': 'True', 'to': u"orm['event.Contact']"}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_contactemailcc_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'default': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_contactemailcc_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'note': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'})
        },
        u'event.contactgroup': {
            'Meta': {'ordering': "('ordering', 'name')", 'object_name': 'ContactGroup'},
            'agent': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'groups'", 'null': 'True', 'to': u"orm['event.Agent']"}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_contactgroup_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_contactgroup_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'})
        },
        u'event.declineanswer': {
            'Meta': {'ordering': "('ordering',)", 'object_name': 'DeclineAnswer'},
            'answer': ('django.db.models.fields.TextField', [], {}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_declineanswer_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'invite': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'decline_answers'", 'to': u"orm['event.Invite']"}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_declineanswer_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'question': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['survey.Question']"}),
            'submission_date': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        u'event.delegatedcontact': {
            'Meta': {'ordering': "('invite__event__event_date_start', 'invite__event__event_date_end')", 'object_name': 'DelegatedContact'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_delegatedcontact_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75'}),
            'first_name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'invite': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'delegated_invites'", 'to': u"orm['event.Invite']"}),
            'invited': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'delegated_invites'", 'to': u"orm['event.Contact']"}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_delegatedcontact_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'last_name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'managed': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'phone_number': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '10'})
        },
        u'event.document': {
            'Meta': {'ordering': "('category', 'name')", 'object_name': 'Document'},
            'category': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['event.DocumentCategory']"}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_document_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'document': ('django.db.models.fields.files.FileField', [], {'max_length': '100'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_document_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100'})
        },
        u'event.documentcategory': {
            'Meta': {'object_name': 'DocumentCategory'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_documentcategory_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_documentcategory_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100'})
        },
        u'event.event': {
            'Meta': {'ordering': "('-event_date_start',)", 'object_name': 'Event'},
            'address_question_type': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'ask_address': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'ask_body_measurements': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'ask_clothing': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'ask_food_hotel_preferences': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'ask_frequent_flyer': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'ask_id_card': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'ask_license': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'ask_passport': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'ask_phone': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'ask_poll_on_followup': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'ask_press_card_number': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'ask_ski': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'breadcrumbs_position': ('django.db.models.fields.CharField', [], {'default': "'top'", 'max_length': '20'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_event_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'default_language': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'events'", 'to': u"orm['i18n.Language']"}),
            'documents': ('django.db.models.fields.related.ManyToManyField', [], {'related_name': "'events'", 'symmetrical': 'False', 'to': u"orm['event.EventDocument']"}),
            'enable_delegate': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'enable_free': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'enable_ics': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'enable_own': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'enable_personalized_program': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'event_adhesion_deadline': ('django.db.models.fields.DateTimeField', [], {}),
            'event_date_end': ('django.db.models.fields.DateTimeField', [], {}),
            'event_date_start': ('django.db.models.fields.DateTimeField', [], {}),
            'frequent_flyer_question_type': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'header_color': (u'colorful.fields.RGBColorField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_newsletter': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'landing_page_template': ('django.db.models.fields.CharField', [], {'max_length': '250'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_event_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'meta_description': ('django.db.models.fields.TextField', [], {'max_length': '255', 'blank': 'True'}),
            'meta_keywords': ('django.db.models.fields.CharField', [], {'max_length': '255', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'page_title': ('django.db.models.fields.CharField', [], {'max_length': '255', 'blank': 'True'}),
            'phone_question_type': ('django.db.models.fields.CharField', [], {'max_length': '20', 'null': 'True', 'blank': 'True'}),
            'place': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'show_activity': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'show_adhesion': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'show_breadcrumbs': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'show_decline': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'show_delegate': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'show_documents': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'show_greetings': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'show_presentation': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'show_register': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'show_schedule': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'show_summary': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'show_transport': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'slug': ('django.db.models.fields.SlugField', [], {'unique': 'True', 'max_length': '100'}),
            'start_step': ('django.db.models.fields.CharField', [], {'default': "'presentation'", 'max_length': '20'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'})
        },
        u'event.eventdocument': {
            'Meta': {'object_name': 'EventDocument'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_eventdocument_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'document': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'event_documents'", 'to': u"orm['event.Document']"}),
            'event': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'event_documents'", 'to': u"orm['event.Event']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_eventdocument_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'})
        },
        u'event.eventimage': {
            'Meta': {'ordering': "('ordering', 'id')", 'unique_together': "(('photo_id', 'event_image'),)", 'object_name': 'EventImage', 'index_together': "(('ordering', 'id'),)"},
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'event_image': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'event_images'", 'to': u"orm['event.Event']"}),
            'height': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'image_size': ('django.db.models.fields.PositiveIntegerField', [], {'db_index': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'photo_id': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'weigth': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'width': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'})
        },
        u'event.eventquestion': {
            'Meta': {'ordering': "('question__ordering', 'question__question')", 'object_name': 'EventQuestion'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_eventquestion_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'enabled': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'event': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'questions'", 'to': u"orm['event.Event']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_eventquestion_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'question': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'event_questions'", 'to': u"orm['survey.Question']"}),
            'required': ('django.db.models.fields.BooleanField', [], {'default': 'False'})
        },
        u'event.eventstartplace': {
            'Meta': {'ordering': "('ordering',)", 'object_name': 'EventStartPlace'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_eventstartplace_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'event': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'start_places'", 'to': u"orm['event.Event']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_eventstartplace_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'})
        },
        u'event.eventsummarydocumenttemplate': {
            'Meta': {'ordering': "('name',)", 'object_name': 'EventSummaryDocumentTemplate'},
            'body_image': ('django.db.models.fields.files.ImageField', [], {'max_length': '100'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_eventsummarydocumenttemplate_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'header_image': ('django.db.models.fields.files.ImageField', [], {'max_length': '100'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'language': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['i18n.Language']"}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_eventsummarydocumenttemplate_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '255'}),
            'template': ('django.db.models.fields.files.FileField', [], {'max_length': '100'})
        },
        u'event.eventtemplate': {
            'Meta': {'ordering': "('ordering', 'name')", 'object_name': 'EventTemplate'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_eventtemplate_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'file': ('django.db.models.fields.files.FileField', [], {'max_length': '100'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_eventtemplate_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '255'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'})
        },
        u'event.eventtranslation': {
            'Meta': {'ordering': "('-event__event_date_start', 'event__name', 'language')", 'unique_together': "(('event', 'language'),)", 'object_name': 'EventTranslation'},
            'bmw_external_images': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_eventtranslation_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'css': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'email_body': ('ckeditor.fields.RichTextField', [], {}),
            'email_from': ('django.db.models.fields.EmailField', [], {'default': "'rsvp@publieditor.net'", 'max_length': '75'}),
            'email_from_name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'event': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'translations'", 'to': u"orm['event.Event']"}),
            'footer_image': ('django.db.models.fields.files.ImageField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'header_image': ('django.db.models.fields.files.ImageField', [], {'max_length': '100'}),
            'header_reply': ('django.db.models.fields.EmailField', [], {'max_length': '255', 'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'language': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['i18n.Language']"}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_eventtranslation_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'left_signature': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'translations_left'", 'null': 'True', 'to': u"orm['event.Signature']"}),
            'note': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'right_signature': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'translations_right'", 'null': 'True', 'to': u"orm['event.Signature']"}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'web_body': ('ckeditor.fields.RichTextField', [], {})
        },
        u'event.eventtranslationpreference': {
            'Meta': {'ordering': "('-date_create',)", 'object_name': 'EventTranslationPreference'},
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'event': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'translation_preferences'", 'to': u"orm['event.Event']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'invite': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'translation_preferences'", 'null': 'True', 'to': u"orm['event.Invite']"}),
            'language': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'event_translation_preferences'", 'to': u"orm['i18n.Language']"}),
            'user': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'event_translation_preferences'", 'null': 'True', 'to': u"orm['auth.User']"})
        },
        u'event.eventtraveloption': {
            'Meta': {'ordering': "('ordering',)", 'object_name': 'EventTravelOption'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_eventtraveloption_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'event': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'travel_options'", 'to': u"orm['event.Event']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_eventtraveloption_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'start_place': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'travel_options'", 'to': u"orm['event.EventStartPlace']"}),
            'turn': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'travel_options'", 'to': u"orm['event.Turn']"})
        },
        u'event.flight': {
            'Meta': {'ordering': "('departure',)", 'object_name': 'Flight', '_ormbases': [u'event.Transport']},
            'airline': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'flights'", 'to': u"orm['event.Airline']"}),
            'arr_airport': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'arrival_flights'", 'to': u"orm['event.Airport']"}),
            'arrival': ('django.db.models.fields.TimeField', [], {}),
            'code': ('django.db.models.fields.CharField', [], {'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'day_after': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'dep_airport': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'departure_flights'", 'to': u"orm['event.Airport']"}),
            'departure': ('django.db.models.fields.TimeField', [], {}),
            'duration': ('django.db.models.fields.TimeField', [], {'null': 'True', 'blank': 'True'}),
            'number': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '10'}),
            u'transport_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['event.Transport']", 'unique': 'True', 'primary_key': 'True'})
        },
        u'event.flightdetail': {
            'Meta': {'ordering': "('event_travel_option__turn__title', 'event_travel_option__start_place__name', 'direction', 'departure')", 'object_name': 'FlightDetail', '_ormbases': [u'event.TransportDetail']},
            'flight': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'flight_details'", 'to': u"orm['event.Flight']"}),
            u'transportdetail_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['event.TransportDetail']", 'unique': 'True', 'primary_key': 'True'})
        },
        u'event.followupemailobject': {
            'Meta': {'ordering': "('-date_create',)", 'object_name': 'FollowUpEmailObject', '_ormbases': [u'mailer.EmailObject']},
            u'emailobject_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['mailer.EmailObject']", 'unique': 'True', 'primary_key': 'True'}),
            'invite': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'follow_up_email_objects'", 'to': u"orm['event.Invite']"})
        },
        u'event.followuptranslation': {
            'Meta': {'ordering': "('event__name', 'language')", 'unique_together': "(('event', 'language'),)", 'object_name': 'FollowUpTranslation'},
            'body': ('ckeditor.fields.RichTextField', [], {}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_followuptranslation_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'event': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'followup_translations'", 'to': u"orm['event.Event']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'language': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['i18n.Language']"}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_followuptranslation_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'})
        },
        u'event.freeanswer': {
            'Meta': {'object_name': 'FreeAnswer'},
            'answer': ('django.db.models.fields.TextField', [], {}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_freeanswer_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'invite': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'free_answers'", 'to': u"orm['event.Invite']"}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_freeanswer_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"})
        },
        u'event.greetingstranslation': {
            'Meta': {'ordering': "('event__name', 'language')", 'unique_together': "(('event', 'invite_status', 'language'),)", 'object_name': 'GreetingsTranslation'},
            'body': ('ckeditor.fields.RichTextField', [], {}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_greetingstranslation_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'event': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'greetings_translations'", 'to': u"orm['event.Event']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'invite_status': ('django.db.models.fields.IntegerField', [], {}),
            'language': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['i18n.Language']"}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_greetingstranslation_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'})
        },
        u'event.invite': {
            'Meta': {'unique_together': "(('event', 'contact'),)", 'object_name': 'Invite'},
            'contact': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'invites'", 'to': u"orm['event.Contact']"}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_invite_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'event': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'invites'", 'to': u"orm['event.Event']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_invite_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'managed': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'no_show': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'note': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'sent': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '0', 'null': 'True', 'blank': 'True'}),
            'step': ('django.db.models.fields.CharField', [], {'default': "'presentation'", 'max_length': '20'}),
            'turn_preference': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'preference_invites'", 'null': 'True', 'to': u"orm['event.Turn']"})
        },
        u'event.invitedecisionanswer': {
            'Meta': {'ordering': "('-date_create',)", 'object_name': 'InviteDecisionAnswer'},
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'invite': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'decision_answers'", 'to': u"orm['event.Invite']"}),
            'status': ('django.db.models.fields.IntegerField', [], {})
        },
        u'event.inviteemailobject': {
            'Meta': {'ordering': "('-date_create',)", 'object_name': 'InviteEmailObject', '_ormbases': [u'mailer.EmailObject']},
            u'emailobject_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['mailer.EmailObject']", 'unique': 'True', 'primary_key': 'True'}),
            'invite': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'email_objects'", 'to': u"orm['event.Invite']"})
        },
        u'event.invitetraveloptionanswer': {
            'Meta': {'object_name': 'InviteTravelOptionAnswer'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_invitetraveloptionanswer_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'event_travel_option': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'invite_answers'", 'to': u"orm['event.EventTravelOption']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'invite': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'travel_option_answers'", 'to': u"orm['event.Invite']"}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_invitetraveloptionanswer_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"})
        },
        u'event.license': {
            'Meta': {'ordering': "('name',)", 'object_name': 'License'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_license_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_license_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '5'})
        },
        u'event.mailinglist': {
            'Meta': {'ordering': "('-date_create',)", 'object_name': 'MailingList'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_mailinglist_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_mailinglist_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'slug': ('django.db.models.fields.SlugField', [], {'default': 'datetime.datetime.now', 'unique': 'True', 'max_length': '100'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'})
        },
        u'event.membership': {
            'Meta': {'ordering': "('newspaper__name',)", 'unique_together': "(('newspaper', 'contact'),)", 'object_name': 'Membership'},
            'contact': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'memberships'", 'to': u"orm['event.Contact']"}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_membership_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'default': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_membership_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'newspaper': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'memberships'", 'to': u"orm['event.Newspaper']"}),
            'role': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'memberships'", 'null': 'True', 'to': u"orm['event.Role']"})
        },
        u'event.newspaper': {
            'Meta': {'ordering': "('ordering', 'name')", 'object_name': 'Newspaper'},
            'categories': ('django.db.models.fields.related.ManyToManyField', [], {'blank': 'True', 'related_name': "'newspapers'", 'null': 'True', 'symmetrical': 'False', 'to': u"orm['event.NewspaperCategory']"}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_newspaper_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_newspaper_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'periodicity': ('django.db.models.fields.CharField', [], {'max_length': '25', 'null': 'True', 'blank': 'True'}),
            'sectors': ('django.db.models.fields.related.ManyToManyField', [], {'blank': 'True', 'related_name': "'newspapers'", 'null': 'True', 'symmetrical': 'False', 'to': u"orm['event.NewspaperSector']"}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'}),
            'types': ('django.db.models.fields.related.ManyToManyField', [], {'blank': 'True', 'related_name': "'newspapers'", 'null': 'True', 'symmetrical': 'False', 'to': u"orm['event.NewspaperType']"}),
            'url': ('django.db.models.fields.URLField', [], {'max_length': '200', 'null': 'True', 'blank': 'True'})
        },
        u'event.newspapercategory': {
            'Meta': {'ordering': "('name',)", 'object_name': 'NewspaperCategory'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_newspapercategory_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_newspapercategory_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100'})
        },
        u'event.newspapersector': {
            'Meta': {'ordering': "('name',)", 'object_name': 'NewspaperSector'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_newspapersector_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_newspapersector_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100'})
        },
        u'event.newspapertype': {
            'Meta': {'ordering': "('name',)", 'object_name': 'NewspaperType'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_newspapertype_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_newspapertype_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100'})
        },
        u'event.organization': {
            'Meta': {'ordering': "('name',)", 'object_name': 'Organization'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_organization_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_organization_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'})
        },
        u'event.ownanswer': {
            'Meta': {'object_name': 'OwnAnswer'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_ownanswer_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'invite': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'own_answers'", 'to': u"orm['event.Invite']"}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_ownanswer_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"})
        },
        u'event.phone': {
            'Meta': {'ordering': "('ordering', 'number', 'phone_type')", 'object_name': 'Phone'},
            'area_code': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'phones'", 'null': 'True', 'to': u"orm['event.AreaCode']"}),
            'contact': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'phones'", 'to': u"orm['event.Contact']"}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_phone_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'default': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_phone_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'note': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            'number': ('django.db.models.fields.CharField', [], {'max_length': '50'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'phone_type': ('django.db.models.fields.CharField', [], {'default': "'P'", 'max_length': '2'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'})
        },
        u'event.pollanswer': {
            'Meta': {'object_name': 'PollAnswer'},
            'answer': ('django.db.models.fields.TextField', [], {}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_pollanswer_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'invite': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'poll_answers'", 'to': u"orm['event.Invite']"}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_pollanswer_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'question': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['survey.Question']"}),
            'submission_date': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        u'event.privacytranslation': {
            'Meta': {'ordering': "('event__name', 'language')", 'unique_together': "(('event', 'language'),)", 'object_name': 'PrivacyTranslation'},
            'body': ('ckeditor.fields.RichTextField', [], {}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_privacytranslation_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'event': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'privacy_translations'", 'to': u"orm['event.Event']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'language': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['i18n.Language']"}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_privacytranslation_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'})
        },
        u'event.registeranswer': {
            'Meta': {'object_name': 'RegisterAnswer'},
            'answer': ('django.db.models.fields.TextField', [], {}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_registeranswer_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'invite': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'register_answers'", 'to': u"orm['event.Invite']"}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_registeranswer_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'question': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['survey.Question']"}),
            'submission_date': ('django.db.models.fields.DateTimeField', [], {'auto_now': 'True', 'blank': 'True'})
        },
        u'event.role': {
            'Meta': {'ordering': "('ordering', 'name')", 'object_name': 'Role'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_role_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_role_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'})
        },
        u'event.scheduletranslation': {
            'Meta': {'ordering': "('event__name', 'language')", 'unique_together': "(('event', 'language'),)", 'object_name': 'ScheduleTranslation'},
            'body': ('ckeditor.fields.RichTextField', [], {}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_scheduletranslation_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'event': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'schedule_translations'", 'to': u"orm['event.Event']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'language': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['i18n.Language']"}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_scheduletranslation_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'})
        },
        u'event.signature': {
            'Meta': {'ordering': "('name',)", 'object_name': 'Signature'},
            'company': ('django.db.models.fields.CharField', [], {'max_length': '100', 'null': 'True', 'blank': 'True'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_signature_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '75', 'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'language': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['i18n.Language']"}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_signature_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'signature': ('django.db.models.fields.files.ImageField', [], {'max_length': '100'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '100'})
        },
        u'event.stage': {
            'Meta': {'ordering': "('ordering',)", 'object_name': 'Stage'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_stage_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_stage_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'})
        },
        u'event.station': {
            'Meta': {'ordering': "('ordering', 'name')", 'object_name': 'Station'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_station_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_station_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'place': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'})
        },
        u'event.train': {
            'Meta': {'ordering': "('departure',)", 'object_name': 'Train', '_ormbases': [u'event.Transport']},
            'arr_station': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'arrival_railways'", 'to': u"orm['event.Station']"}),
            'arrival': ('django.db.models.fields.TimeField', [], {}),
            'code': ('django.db.models.fields.CharField', [], {'max_length': '10', 'null': 'True', 'blank': 'True'}),
            'day_after': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'dep_station': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'departure_railways'", 'to': u"orm['event.Station']"}),
            'departure': ('django.db.models.fields.TimeField', [], {}),
            'duration': ('django.db.models.fields.TimeField', [], {'null': 'True', 'blank': 'True'}),
            'number': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '10'}),
            'train_type': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'railways'", 'to': u"orm['event.TrainType']"}),
            u'transport_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['event.Transport']", 'unique': 'True', 'primary_key': 'True'})
        },
        u'event.traindetail': {
            'Meta': {'ordering': "('event_travel_option__turn__title', 'event_travel_option__start_place__name', 'direction', 'departure')", 'object_name': 'TrainDetail', '_ormbases': [u'event.TransportDetail']},
            'train': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'train_details'", 'to': u"orm['event.Train']"}),
            u'transportdetail_ptr': ('django.db.models.fields.related.OneToOneField', [], {'to': u"orm['event.TransportDetail']", 'unique': 'True', 'primary_key': 'True'})
        },
        u'event.traintype': {
            'Meta': {'ordering': "('ordering', 'name')", 'object_name': 'TrainType'},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '5'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_traintype_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_traintype_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'})
        },
        u'event.transport': {
            'Meta': {'object_name': 'Transport'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_transport_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_transport_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'})
        },
        u'event.transportanswer': {
            'Meta': {'object_name': 'TransportAnswer'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_transportanswer_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'invite': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'transport_answers'", 'to': u"orm['event.Invite']"}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_transportanswer_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'transport_detail': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'transport_answers'", 'to': u"orm['event.TransportDetail']"})
        },
        u'event.transportdetail': {
            'Meta': {'ordering': "('event_travel_option__turn__turn_start', 'event_travel_option__turn__turn_end', 'event_travel_option__start_place__name', 'departure')", 'object_name': 'TransportDetail'},
            'arrival': ('django.db.models.fields.DateTimeField', [], {}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_transportdetail_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'departure': ('django.db.models.fields.DateTimeField', [], {}),
            'direction': ('django.db.models.fields.CharField', [], {'max_length': '1'}),
            'event_travel_option': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'transport_details'", 'to': u"orm['event.EventTravelOption']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_transportdetail_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"})
        },
        u'event.transporttranslation': {
            'Meta': {'ordering': "('transport__name', 'language')", 'unique_together': "(('transport', 'language'),)", 'object_name': 'TransportTranslation'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_transporttranslation_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'description': ('django.db.models.fields.TextField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'language': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['i18n.Language']"}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_transporttranslation_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'}),
            'transport': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'translations'", 'to': u"orm['event.Transport']"})
        },
        u'event.turn': {
            'Meta': {'ordering': "('ordering', 'event__name', 'turn_start', 'turn_end', 'code', 'title')", 'unique_together': "(('code', 'event'),)", 'object_name': 'Turn'},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '1'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_turn_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'event': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'turns'", 'to': u"orm['event.Event']"}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'event_turn_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'maximum_participants': ('django.db.models.fields.PositiveIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '100'}),
            'turn_end': ('django.db.models.fields.DateTimeField', [], {}),
            'turn_start': ('django.db.models.fields.DateTimeField', [], {})
        },
        u'i18n.language': {
            'Meta': {'ordering': "('name',)", 'object_name': 'Language'},
            'code': ('django.db.models.fields.CharField', [], {'max_length': '2'}),
            'country': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '20'}),
            'nationality': ('django.db.models.fields.CharField', [], {'max_length': '20'})
        },
        u'l10n.country': {
            'Meta': {'ordering': "('name',)", 'object_name': 'Country'},
            'active': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            'admin_area': ('django.db.models.fields.CharField', [], {'db_index': 'True', 'max_length': '2', 'null': 'True', 'blank': 'True'}),
            'continent': ('django.db.models.fields.CharField', [], {'max_length': '2'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'iso2_code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '2', 'db_index': 'True'}),
            'iso3_code': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '3'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '128', 'db_index': 'True'}),
            'numcode': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True', 'blank': 'True'}),
            'printable_name': ('django.db.models.fields.CharField', [], {'max_length': '128', 'db_index': 'True'})
        },
        u'mailer.bounceserver': {
            'Meta': {'object_name': 'BounceServer'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'mailer_bounceserver_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'host': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'mailer_bounceserver_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128', 'blank': 'True'}),
            'port': ('django.db.models.fields.IntegerField', [], {'default': '110'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'}),
            'tls': ('django.db.models.fields.BooleanField', [], {}),
            'user': ('django.db.models.fields.CharField', [], {'max_length': '128', 'blank': 'True'})
        },
        u'mailer.emailobject': {
            'Meta': {'ordering': "('-date_create',)", 'object_name': 'EmailObject'},
            'bounce_server': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'emails'", 'to': u"orm['mailer.BounceServer']"}),
            'content': ('jmb.core.db.fields.HTMLFieldTinyMCE', [], {}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'mailer_emailobject_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'email_address': ('django.db.models.fields.EmailField', [], {'max_length': '75'}),
            'header_reply': ('django.db.models.fields.CharField', [], {'default': "'BMW Ufficio Stampa<bmw@publieditor.it>'", 'max_length': '255', 'null': 'True', 'blank': 'True'}),
            'header_sender': ('django.db.models.fields.CharField', [], {'default': "'BMW Ufficio Stampa<bmw@publieditor.it>'", 'max_length': '255'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'mailer_emailobject_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'slug': ('django.db.models.fields.SlugField', [], {'unique': 'True', 'max_length': '50'}),
            'smtp_server': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'emails'", 'to': u"orm['mailer.SMTPServer']"}),
            'status': ('django.db.models.fields.IntegerField', [], {}),
            'subject': ('django.db.models.fields.CharField', [], {'max_length': '255'})
        },
        u'mailer.smtpserver': {
            'Meta': {'object_name': 'SMTPServer'},
            'auth_required': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'mailer_smtpserver_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'headers': ('django.db.models.fields.TextField', [], {'blank': 'True'}),
            'host': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'mailer_smtpserver_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'mails_hour': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '255'}),
            'password': ('django.db.models.fields.CharField', [], {'max_length': '128', 'blank': 'True'}),
            'port': ('django.db.models.fields.IntegerField', [], {'default': '25'}),
            'tls': ('django.db.models.fields.BooleanField', [], {}),
            'user': ('django.db.models.fields.CharField', [], {'max_length': '128', 'blank': 'True'})
        },
        u'survey.category': {
            'Meta': {'object_name': 'Category'},
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'survey_category_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'survey_category_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '100'}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'slug': ('django.db.models.fields.SlugField', [], {'unique': 'True', 'max_length': '100'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'})
        },
        u'survey.question': {
            'Meta': {'ordering': "('ordering', 'question')", 'object_name': 'Question'},
            'category': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['survey.Category']"}),
            'choice_num_max': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'choice_num_min': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'creator': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'survey_question_creator'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'date_create': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'date_last_modify': ('django.db.models.fields.DateTimeField', [], {'null': 'True', 'blank': 'True'}),
            'default': ('django.db.models.fields.BooleanField', [], {'default': 'True'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'language': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['i18n.Language']"}),
            'last_modifier': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "u'survey_question_last_modifier'", 'null': 'True', 'to': u"orm['auth.User']"}),
            'ordering': ('django.db.models.fields.IntegerField', [], {'default': '0'}),
            'qtype': ('django.db.models.fields.CharField', [], {'max_length': '2'}),
            'question': ('django.db.models.fields.TextField', [], {'unique': 'True'}),
            'required': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '1', 'null': 'True'}),
            'typology': ('django.db.models.fields.CharField', [], {'max_length': '1'})
        }
    }

    complete_apps = ['event']